﻿--
-- Aardvark
-- Version: R 3.6.7.0
-- Author: Walkerbo
-- Date: Friday, 29 July 2016
--

-- I have tried to name variables, functions, frames, and buttons to be more descriptive

--===================			Metrics, Lists & Variables			 ============================
local addonName = "Aardvark"
local versionNumber = "R 3.6.7.0"

local playerName = GetUnitName("player")

local AardvarkMagicButton,AardvarkActionBar,AardvarkActionBarSellButton,AardvarkActionBarAardvarkButton,AardvarkActionBarDestroyButton,ActionBarGlobalButton,ActionBarCharacterButton -- The floating action bar and buttons

local AVKImg = { -- A table of all the Aardvark images
	avkban = "Interface\\AddOns\\Aardvark\\Files\\AVK_ban", --  Aardvark Banner
	avkchari = "Interface\\AddOns\\Aardvark\\Files\\AVK_charicon", -- Aardvark Character List Icon	
	avkchari_alt = "Interface\\AddOns\\Aardvark\\Files\\AVK_charicon_alt", -- Aardvark Character List Icon Alt	
	avkci = "Interface\\AddOns\\Aardvark\\Files\\AVK_cx_icon", -- Aardvark Close Icon	
	avkglobi ="Interface\\AddOns\\Aardvark\\Files\\AVK_globicon", -- Aardvark Global List Icon
	avkglobi_alt = "Interface\\AddOns\\Aardvark\\Files\\AVK_globicon_alt", -- Aardvark Global List Icon Alt		
	avki = "Interface\\AddOns\\Aardvark\\Files\\AVK_icon", -- Aardvark Icon
	avki_alt = "Interface\\AddOns\\Aardvark\\Files\\AVK_icon_alt", -- Aardvark Icon Alt	
	avksi = "Interface\\AddOns\\Aardvark\\Files\\AVKS_icon", -- Aardvark Sell Icon
	avksi_alt = "Interface\\AddOns\\Aardvark\\Files\\AVKS_icon_alt", -- Aardvark Sell Icon Alt
	avksoi = "Interface\\AddOns\\Aardvark\\Files\\AVKS_oicon", -- Aardvark Sell Options Icon Alt
	avksoi_alt ="Interface\\AddOns\\Aardvark\\Files\\AVKS_oicon_alt", -- Aardvark Sell Options Icon Alt
	avks_dis ="Interface\\AddOns\\Aardvark\\Files\\AVKS_icon_dis", -- Aardvark Sell Disabled	
	avkdi = "Interface\\AddOns\\Aardvark\\Files\\AVKD_icon", -- Aardvark Destroy Icon
	avkdi_alt = "Interface\\AddOns\\Aardvark\\Files\\AVKD_icon_alt", -- Aardvark Destroy Icon Alt
	avkdoi = "Interface\\AddOns\\Aardvark\\Files\\AVKD_oicon", -- Aardvark Destroy Options Icon Alt
	avkdoi_alt = "Interface\\AddOns\\Aardvark\\Files\\AVKD_oicon_alt", -- Aardvark Destroy Options Icon Alt	
	avkri = "Interface\\AddOns\\Aardvark\\Files\\AVKR_icon", -- Aardvark Repair Icon
	avkri_alt = "Interface\\AddOns\\Aardvark\\Files\\AVKR_icon_alt", -- Aardvark Repair Icon Alt
	avkpchari = "Interface\\AddOns\\Aardvark\\Files\\AVKP_cicon", -- Aardvark Protect Character Icon
	avkpchari_alt = "Interface\\AddOns\\Aardvark\\Files\\AVKP_cicon_alt", -- Aardvark Protect Character Icon Alt
	avkpglobi = "Interface\\AddOns\\Aardvark\\Files\\AVKP_gicon", -- Aardvark Protect Global Icon
	avkpglobi_alt = "Interface\\AddOns\\Aardvark\\Files\\AVKP_gicon_alt", -- Aardvark Protect Global Icon Alt	
	avkpi ="Interface\\AddOns\\Aardvark\\Files\\AVKP_icon", -- Aardvark Protect Icon
	avkpi_alt = "Interface\\AddOns\\Aardvark\\Files\\AVKP_icon_alt", -- Aardvark Protect Icon Alt	
	avkpoi = "Interface\\AddOns\\Aardvark\\Files\\AVKP_oicon", -- Aardvark Protect Options Icon
	avkpoi_alt = "Interface\\AddOns\\Aardvark\\Files\\AVKP_oicon_alt", -- Aardvark Protect Options Icon Alt	
}

-- Font objects
local avkCheckBoxBigFont = CreateFont("avkCheckBoxBigFont")
avkCheckBoxBigFont:SetFont("Interface\\AddOns\\Aardvark\\Files\\neuropol.ttf",29)
local avkContentFont = CreateFont("avkContentFont")
avkContentFont:SetFont("Interface\\AddOns\\Aardvark\\Files\\vixar.TTF",15.2)
local avkScrollTitleFont = CreateFont("avkScrollTitleFont")
avkScrollTitleFont:SetFont("Interface\\AddOns\\Aardvark\\Files\\vixar.TTF",19)
local avkButtonFont = CreateFont("avkButtonFont")
avkButtonFont:SetFont("Interface\\AddOns\\Aardvark\\Files\\vixar.TTF",14)

local AVKFont = { -- The font colours 
	avkBlueText="|cff00ffff",
	avkBlueTextMessagePrefix="|cff00ffff ["..addonName.."]: ",
	avkBlueTextMessagePrefixSuffix="|cff00ffff ["..addonName.."]: |r",
	avkGreenText="|cff00ff00",
	avkRedText="|cffff0000",
	avkPinkText="|cffff00ff",
	avkOrangeText="|cffff8c00",
}

local AVKText = { -- Content strings
	avkLoad = (AVKFont.avkBlueText.." *** "..addonName.." - "..versionNumber.." Loaded *** \n"), -- Load Message
	avkOptions = ("Slash Commands:\n"..AVKFont.avkBlueText.."/avk |r ~  Show/Hide Aardvark frame\n"..AVKFont.avkBlueText.."/avkdestroy |r ~  Destroy function\n"..AVKFont.avkBlueText.."/avkclear |r ~  Clear all lists\n"..AVKFont.avkBlueText.."/avkpos |r ~  Reset Aardvark frame and button positions\n"), -- Options Text	
	avkSellOptions = ("The "..AVKFont.avkGreenText.."Aardvark Sell|r function can sometimes lag depending on the size of your list and the number items you have in your bags.\n\nIf this occurs turn on the action bar and spam the sell button.\n\nI will continue to tinker with the sell function to try and reduce, if not totaly eradicate, this issue."), -- Sell Text	
	avkDestroyOptions = ("The "..AVKFont.avkRedText.."Aardvark Destroy|r function will destroy|r the items that you have added to your destroy lists regardless of bind, amount, rarity or colour.\n\n"..AVKFont.avkRedText.."Destroyed items CANNOT be recovered.|r\n\nThere are no take backs, no do-overs, no whoops didn't mean to do that, etc.\n\nThe only way to recover a destroyed item is to go and farm it again.\n\n"..AVKFont.avkRedText.."You have been warned!"), -- Destroy Text	
	avkRepairOptions = ("The "..AVKFont.avkPinkText.."Aardvark Repair|r function operates after the destroy function and prior to the\n sell function.\n\n Damaged items must\n be repaired before\n they can be sold."), -- Repair Text	
	avkProtectOptions = ("The "..AVKFont.avkOrangeText.."Aardvark Protect|r list was created to protect those special items that you want to ensure are not sold or destroyed even if they are listed in your other sell and/or destroy lists.\n\nThe protect lists have no restrictions which means you can protect any item regardless of colour or value."), -- Protect Text	
	avkMagicButton = ("Drag&Drop/Click&Drop: Add Item to Character List\nDrag&Drop/Click&Drop + Alt: Add Item to Global List\nDrag&Drop/Click&Drop + Ctrl: Add Item to Protect List\nLeft Click: Show/Hide Aardvark Frame\nRight Click + Drag: Move Aardvark Button\nRight Click: Destroy Listed Items"), -- Aardvark Button Tooltip Text	
	avkAboutAardvark = ("There once was a little blue Aardvark that grew up in Azeroth.\n\nHe loved to farm, spending all day and half of the night digging up herbs, mining ore, weaving cloth and collecting little treasures.\n\nAfter few years he started to develop RSI in his little paws as he was always clicking to sell items that he didn\'t want, dragging and dropping items that he couldn\'t sell and, in a lot of cases, deleting items just to clean out his bags ready to farm again.\n\nOne day after an extremely long day of farming he thought;"..AVKFont.avkBlueText.."\n\"What if I could open my bags and have all the stuff I don\'t want just magically disappear?\"|r \n\nWith this thought he started to teach his little arthritic paws how to code.\nHis code is very messy, overly long and undoubtedly very inefficient but it does what he wants it to do.\n\nHopefully you can find it useful too."), -- Aardvark Text
}

local AVKSize = { -- All sizings
	actionBarButtonGap = 47,
	backdropEdgeSize = 20,
	checkBoxBigSize = 26,
	checkBoxChildGapX = 15,
	checkboxGapY = 32,
	clearButtonHight = 32,
	closeButtonGap = -8,
	closeButtonSize = 20,
	mainFrameHeight = 520,
	mainFrameMarginGap = 10,
	mainFrameNavigationButtonSize = 36,
	mainFrameNavigationButtonSpace = 83,
	mainFrameNavigationFrameY = -125,
	mainFrameNavigationFrameHeight = 60,
	mainFrameWidth = 600,
	mainPanelElementGap =20,
	mainPanelHeight = 318,
	mainPanelWidth = 582,
	optionsButtonSize = 25,
	scaleSliderMin = .5,
	scaleSliderMax = 1.5,
	scaleSliderScale = 1.2,
	scrollButtonHeight = 16,
	scrollButtonNumber =12,
	scrollButtonWidth = 258,
	scrollFrameHeight = 208,
	scrollFrameWidth = 277,
	scrollTitleHeight = 40,
	scrollTitlePointX = 10,
	scrollTitlePointY = -16,
	textBoxWidthShrink = 35,
	toolTipAnchor = -22,
}

local AVKVendorBlacklist = { -- List of vendors that will not buy items
    27914, -- Ethereal Soul-Trader
	63596, -- Audrey Burnhep
	-- 77368, -- Madison Clark  --  This NPC can now buy items
	79828, -- Murg
	87302, -- Murg -- Yes this is a second Murg, no I have no idea why
}

--===================			Functions & Slash Commands			============================
local function avkManageLists() -- Start up function to initialise lists
	if not GlobalOptions then -- Create Aardvark options table if it does not already exist
		GlobalOptions = {
			Aardvark = {
				amfb = true, -- Aardvark main floating button
				amfbt = true, -- Aardvark main floating button tooltip
				afab = true, -- Aardvark floating action bar	
				afabas = true, -- Aardvark floating action bar always show
				afabv = true, -- Aardvark floating action bar verticle
			},
			Destroy = {
				ded = true, -- Destroy enable destroy
				dead = true, -- Destroy enable auto destroy
				dddm = true, -- Destroy detailed destroy messages
				dntdm = true, -- Destroy nothing to destroy messages				
				dialsm = true, -- Destroy item added to list success messages
				dialfm = true, -- Destroy item added to list fail messages
				dlit = true, -- Destroy show listed item tooltips
			},
			Repair = {
				rer = true, -- Repair enable repair
				rgr = false, -- Repair guild repair
				rcarm = true, -- Repair cannot afford repair messages
				rntrm = true, -- Repair nothing to repair messages
				rvcrm = true, -- Repair vendor cannot repair messages
			},
			Sell = {
				ses = true, -- Sell enable sell
				seas = true, -- Sell enable auto sell
				stil = false, -- Sell twelve item limit
				sdsm = true, -- Sell detailed sell messages	
				sntsm = true, -- Sell nothing to sell messages				
				sialsm = true, -- Sell item added to list success messages
				sialfm = true, -- Sell item added to list fail messages
				slit = true, -- Sell show listed item tooltips				
			},
			Protect = {
				pialsm = true, -- Protect item added to list success messages
				pdpm = true, -- Protect display protected messages	
				plit = true, -- Protect show listed item tooltips							
			},
			FrameScales = {
				amfs = 1, -- Aardvark Main Frame Scale
				ambs = 1, -- Aardvark Magic Button Scale
				aabs = 1, -- Aardvark Action Bar Scale
			},
		}	
		AardvarkMainFrame:Show() -- Show Aardvark frame if the settings list did not already exist
	end	
	if not GlobalSellList then		
		GlobalSellList={} -- Create empty global sell list if it does not already exist
	end
	if not GlobalDestroyList then		
		GlobalDestroyList={} -- Create empty global destroy list if it does not already exist
	end
	if not GlobalProtectList then	
		GlobalProtectList={} -- Create empty global protect list if it does not already exist
	end
	if not CharacterSellList then		
		CharacterSellList={} -- Create empty character sell list if it does not already exist
	end
	if not CharacterDestroyList then		
		CharacterDestroyList={} -- Create empty character destroy list if it does not already exist
	end
	if not CharacterProtectList then
		CharacterProtectList={} -- Create empty character protect list if it does not already exist
	end
	for k,v in pairs (GlobalOptions) do -- Set all checkboxes
		for a,b in pairs (v) do
			if k~="FrameScales" then
				local checkBoxName="CB"..a
				_G[checkBoxName]:SetChecked(b)			
				if k=="Aardvark" and GlobalOptions.Aardvark.afab==false and (a=="afabas" or a=="afabv") then -- Hide option checkboxes if their parent is unchecked
					_G[checkBoxName]:Hide()
					elseif k=="Sell" and a~="ses" and GlobalOptions.Sell.ses==false then
					_G[checkBoxName]:Hide()
					elseif k=="Destroy" and a~="ded" and GlobalOptions.Destroy.ded==false then
					_G[checkBoxName]:Hide()
					elseif k=="Repair" and a~="rer" and GlobalOptions.Repair.rer==false then
					_G[checkBoxName]:Hide()
				end
			end			
		end
	end	
	if GlobalOptions.Aardvark.amfb==false then -- Hide magic button if it is set to hide
		AardvarkMagicButton:Hide()
	end	
	if GlobalOptions.Aardvark.afab==true and GlobalOptions.Aardvark.afabas==true then -- Show action bar if always show is checked
		AardvarkActionBar:Show()
	end	
end

local function avkUpdateLists() -- Update lists function
	FauxScrollFrame_Update(AardvarkSellGlobalScrollFrame,#GlobalSellList,AVKSize.scrollButtonNumber,AVKSize.scrollButtonHeight) -- Global sell
	for index=1,AVKSize.scrollButtonNumber do
		local offset=index + FauxScrollFrame_GetOffset(AardvarkSellGlobalScrollFrame)
		local button=AardvarkSellGlobalScrollFrame.buttons[index]
		button.index=offset
		if offset <= #GlobalSellList then
			local itemName,itemLink,_,_,_,_,_,_,_,_,_=GetItemInfo(GlobalSellList[offset])
			button:SetText(itemLink)
			button:Show()
			else
			button:Hide()
		end
	end
	FauxScrollFrame_Update(AardvarkSellCharacterScrollFrame,#CharacterSellList,AVKSize.scrollButtonNumber,AVKSize.scrollButtonHeight) -- Character sell
	for index=1,AVKSize.scrollButtonNumber do
		local offset=index + FauxScrollFrame_GetOffset(AardvarkSellCharacterScrollFrame)
		local button=AardvarkSellCharacterScrollFrame.buttons[index]
		button.index=offset
		if offset <= #CharacterSellList then
			local itemName,itemLink,_,_,_,_,_,_,_,_,_=GetItemInfo(CharacterSellList[offset])
			button:SetText(itemLink)
			button:Show()
			else
			button:Hide()
		end
	end
	FauxScrollFrame_Update(AardvarkDestroyGlobalScrollFrame,#GlobalDestroyList,AVKSize.scrollButtonNumber,AVKSize.scrollButtonHeight) -- Global destroy
	for index=1,AVKSize.scrollButtonNumber do
		local offset=index + FauxScrollFrame_GetOffset(AardvarkDestroyGlobalScrollFrame)
		local button=AardvarkDestroyGlobalScrollFrame.buttons[index]
		button.index=offset
		if offset <= #GlobalDestroyList then
			local itemName,itemLink,_,_,_,_,_,_,_,_,_=GetItemInfo(GlobalDestroyList[offset])
			button:SetText(itemLink)
			button:Show()
			else
			button:Hide()
		end
	end
	FauxScrollFrame_Update(AardvarkDestroyCharacterScrollFrame,#CharacterDestroyList,AVKSize.scrollButtonNumber,AVKSize.scrollButtonHeight) -- Character destroy
	for index=1,AVKSize.scrollButtonNumber do
		local offset=index + FauxScrollFrame_GetOffset(AardvarkDestroyCharacterScrollFrame)
		local button=AardvarkDestroyCharacterScrollFrame.buttons[index]
		button.index=offset
		if offset <= #CharacterDestroyList then
			local itemName,itemLink,_,_,_,_,_,_,_,_,_=GetItemInfo(CharacterDestroyList[offset])
			button:SetText(itemLink)
			button:Show()
			else
			button:Hide()
		end
	end
	FauxScrollFrame_Update(AardvarkProtectGlobalScrollFrame,#GlobalProtectList,AVKSize.scrollButtonNumber,AVKSize.scrollButtonHeight) -- Global protect
	for index=1,AVKSize.scrollButtonNumber do
		local offset=index + FauxScrollFrame_GetOffset(AardvarkProtectGlobalScrollFrame)
		local button=AardvarkProtectGlobalScrollFrame.buttons[index]
		button.index=offset
		if offset <= #GlobalProtectList then
			local itemName,itemLink,_,_,_,_,_,_,_,_,_=GetItemInfo(GlobalProtectList[offset])
			button:SetText(itemLink)
			button:Show()
			else
			button:Hide()
		end
	end
	FauxScrollFrame_Update(AardvarkProtectCharacterScrollFrame,#CharacterProtectList,AVKSize.scrollButtonNumber,AVKSize.scrollButtonHeight) -- Character protect
	for index=1,AVKSize.scrollButtonNumber do
		local offset=index + FauxScrollFrame_GetOffset(AardvarkProtectCharacterScrollFrame)
		local button=AardvarkProtectCharacterScrollFrame.buttons[index]
		button.index=offset
		if offset <= #CharacterProtectList then
			local itemName,itemLink,_,_,_,_,_,_,_,_,_=GetItemInfo(CharacterProtectList[offset])
			button:SetText(itemLink)
			button:Show()
			else
			button:Hide()
		end
	end
end

-- Show frame functions		
local function showAVKOptionsPanel()
	AardvarkDestroyOptionsPanel:Hide()
	AardvarkDestroyPanel:Hide()
	AardvarkRepairOptionsPanel:Hide()
	AardvarkSellOptionsPanel:Hide()
	AardvarkSellPanel:Hide()
	AardvarkProtectOptionsPanel:Hide()
	AardvarkProtectPanel:Hide()
	AardvarkSillyPanel:Hide()
	AardvarkOptionsPanel:Show()
end

local function showAVKSellPanel()
	avkUpdateLists()
	AardvarkDestroyOptionsPanel:Hide()
	AardvarkDestroyPanel:Hide()
	AardvarkOptionsPanel:Hide()
	AardvarkRepairOptionsPanel:Hide()
	AardvarkSellOptionsPanel:Hide()
	AardvarkProtectOptionsPanel:Hide()
	AardvarkProtectPanel:Hide()
	AardvarkSillyPanel:Hide()
	AardvarkSellPanel:Show()
end

local function showAVKSellOptionsPanel()
	AardvarkDestroyOptionsPanel:Hide()
	AardvarkDestroyPanel:Hide()
	AardvarkOptionsPanel:Hide()
	AardvarkRepairOptionsPanel:Hide()
	AardvarkSellPanel:Hide()
	AardvarkProtectOptionsPanel:Hide()
	AardvarkProtectPanel:Hide()
	AardvarkSillyPanel:Hide()
	AardvarkSellOptionsPanel:Show()
end

local function showAVKDestroyPanel()
	avkUpdateLists()
	AardvarkDestroyOptionsPanel:Hide()
	AardvarkOptionsPanel:Hide()
	AardvarkRepairOptionsPanel:Hide()
	AardvarkSellOptionsPanel:Hide()
	AardvarkSellPanel:Hide()
	AardvarkProtectOptionsPanel:Hide()
	AardvarkProtectPanel:Hide()
	AardvarkSillyPanel:Hide()
	AardvarkDestroyPanel:Show()
end

local function showAVKDestroyOptionsPanel()
	AardvarkDestroyPanel:Hide()
	AardvarkOptionsPanel:Hide()
	AardvarkRepairOptionsPanel:Hide()
	AardvarkSellOptionsPanel:Hide()
	AardvarkSellPanel:Hide()
	AardvarkProtectOptionsPanel:Hide()
	AardvarkProtectPanel:Hide()
	AardvarkSillyPanel:Hide()
	AardvarkDestroyOptionsPanel:Show()
end

local function showAVKProtectPanel()
	avkUpdateLists()
	AardvarkDestroyOptionsPanel:Hide()
	AardvarkDestroyPanel:Hide()
	AardvarkOptionsPanel:Hide()
	AardvarkRepairOptionsPanel:Hide()
	AardvarkSellOptionsPanel:Hide()
	AardvarkSellPanel:Hide()
	AardvarkProtectOptionsPanel:Hide()
	AardvarkSillyPanel:Hide()
	AardvarkProtectPanel:Show()
end

local function showAVKProtectOptionsPanel()
	avkUpdateLists()
	AardvarkProtectOptionsPanel:Hide()
	AardvarkDestroyPanel:Hide()
	AardvarkOptionsPanel:Hide()
	AardvarkRepairOptionsPanel:Hide()
	AardvarkSellOptionsPanel:Hide()
	AardvarkSellPanel:Hide()
	AardvarkProtectPanel:Hide()
	AardvarkSillyPanel:Hide()	
	AardvarkProtectOptionsPanel:Show()
end

local function showAVKRepairPanel()
	AardvarkDestroyOptionsPanel:Hide()
	AardvarkDestroyPanel:Hide()
	AardvarkOptionsPanel:Hide()
	AardvarkSellOptionsPanel:Hide()
	AardvarkSellPanel:Hide()
	AardvarkProtectOptionsPanel:Hide()
	AardvarkProtectPanel:Hide()
	AardvarkSillyPanel:Hide()
	AardvarkRepairOptionsPanel:Show()
end

local function showAVKSillyPanel()
	AardvarkDestroyOptionsPanel:Hide()
	AardvarkDestroyPanel:Hide()
	AardvarkOptionsPanel:Hide()
	AardvarkRepairOptionsPanel:Hide()
	AardvarkSellOptionsPanel:Hide()
	AardvarkSellPanel:Hide()
	AardvarkProtectOptionsPanel:Hide()
	AardvarkProtectPanel:Hide()
	AardvarkSillyPanel:Show()
end

local function showAVKScalePanel() -- Detach the scale frame on show, reatach on hide 
	if AardvarkScalePanel:IsShown() then
		AardvarkScalePanel:Hide()
		AardvarkScalePanel:ClearAllPoints()
		AardvarkScalePanel:SetPoint("BOTTOMLEFT",AardvarkMainFrame,"BOTTOMRIGHT",0,0)
		else
		AardvarkScalePanel:ClearAllPoints()
		AardvarkScalePanel:SetPoint("BOTTOMLEFT",AardvarkMainFrame,"BOTTOMRIGHT",0,0)
		AardvarkScalePanel:Show()
		AardvarkScalePanel:ClearAllPoints()
	end
end

local function toggleFloatingActionBar() 
	if GlobalOptions.Aardvark.afab==true and (GlobalOptions.Aardvark.afabas==true or AardvarkActionBarSellButton:IsEnabled()) then
		AardvarkActionBar:Show()
		else
		AardvarkActionBar:Hide()
	end
end

local function toggleVerticleActionBar() -- Layout the action bar buttons
	if GlobalOptions.Aardvark.afabv==true then
		AardvarkActionBar:SetSize(AVKSize.actionBarButtonGap,AVKSize.actionBarButtonGap*7)	
		AardvarkActionBarAardvarkButton:ClearAllPoints()
		AardvarkActionBarAardvarkButton:SetPoint("TOP",0,-5)	
		AardvarkActionBarSellButton:SetPoint("CENTER",AardvarkActionBarAardvarkButton,0,-AVKSize.actionBarButtonGap)
		AardvarkActionBarDestroyButton:SetPoint("CENTER",AardvarkActionBarSellButton,0,-AVKSize.actionBarButtonGap)
		ActionBarGlobalButton:SetPoint("CENTER", AardvarkActionBarDestroyButton,0,-AVKSize.actionBarButtonGap)
		ActionBarCharacterButton:SetPoint("CENTER", ActionBarGlobalButton,0,-AVKSize.actionBarButtonGap)
		ActionBarGlobalProtectButton:SetPoint("CENTER", ActionBarCharacterButton,0,-AVKSize.actionBarButtonGap)
		ActionBarCharacterProtectButton:SetPoint("CENTER", ActionBarGlobalProtectButton,0,-AVKSize.actionBarButtonGap)
		else
		AardvarkActionBar:SetSize(AVKSize.actionBarButtonGap*7,AVKSize.actionBarButtonGap)	
		AardvarkActionBarAardvarkButton:ClearAllPoints()
		AardvarkActionBarAardvarkButton:SetPoint("LEFT",5,0)
		AardvarkActionBarSellButton:SetPoint("CENTER",AardvarkActionBarAardvarkButton,AVKSize.actionBarButtonGap,0)
		AardvarkActionBarDestroyButton:SetPoint("CENTER",AardvarkActionBarSellButton,AVKSize.actionBarButtonGap,0)
		ActionBarGlobalButton:SetPoint("CENTER", AardvarkActionBarDestroyButton,AVKSize.actionBarButtonGap,0)
		ActionBarCharacterButton:SetPoint("CENTER", ActionBarGlobalButton,AVKSize.actionBarButtonGap,0)
		ActionBarGlobalProtectButton:SetPoint("CENTER", ActionBarCharacterButton,AVKSize.actionBarButtonGap,0)
		ActionBarCharacterProtectButton:SetPoint("CENTER", ActionBarGlobalProtectButton,AVKSize.actionBarButtonGap,0)
	end
end

-- Check Item on list functions
local function checkItemOnGlobalSellList(currentItem)
	for k,v in pairs(GlobalSellList) do
		if v==currentItem then
			return true
		end
	end
	return false
end

local function checkItemOnCharacterSellList(currentItem)
	for k,v in pairs(CharacterSellList) do
		if v==currentItem then
			return true
		end
	end
	return false
end

local function checkItemOnGlobalDestroyList(currentItem)
	for k,v in pairs(GlobalDestroyList) do
		if v==currentItem then
			return true
		end
	end
	return false
end

local function checkItemOnCharacterDestroyList(currentItem)
	for k,v in pairs(CharacterDestroyList) do
		if v==currentItem then
			return true
		end
	end
	return false
end

local function checkItemOnGlobalProtectedList(currentItem)
	for k,v in pairs(GlobalProtectList) do
		if v==currentItem then
			return true
		end
	end
	return false
end

local function checkItemOnCharacterProtectedList(currentItem)
	for k,v in pairs(CharacterProtectList) do
		if v==currentItem then
			return true
		end
	end
	return false
end

--[[
	local function consolidateLists()  --  Debug review
	print("consolidateLists")
	end
--]]

local function addItemToGlobalProtectList()
	local itemType,itemID,_,_=GetCursorInfo()
	local _,itemLink,itemQuality,_,_,_,_,_,_,_,itemValue=GetItemInfo(itemID)
	if itemType~="item" then   -- if not item end
		print(AVKFont.avkBlueTextMessagePrefixSuffix.." That was not an item.") -- Cannot disable this message, because we have to learn		
		else 
		if checkItemOnGlobalProtectedList(itemID)==true then
			if GlobalOptions.Protect.pialsm==true then -- Print item already listed message
				print(AVKFont.avkBlueTextMessagePrefixSuffix..itemLink.." is already on your global protect list.")
			end			
			else			
			if GlobalOptions.Protect.pialsm==true then -- Print item added to list message
				print(AVKFont.avkBlueTextMessagePrefixSuffix..itemLink..AVKFont.avkOrangeText.." added to your global protect list.")
			end
			table.insert(GlobalProtectList,1,itemID)
			showAVKProtectPanel()			
		end			
	end	
	ClearCursor()
end

local function addItemToCharacterProtectList()
	local itemType,itemID,_,_=GetCursorInfo()
	local _,itemLink,itemQuality,_,_,_,_,_,_,_,itemValue=GetItemInfo(itemID)
	if itemType~="item" then   -- if not item end
		print(AVKFont.avkBlueTextMessagePrefixSuffix.." That was not an item.") -- Cannot disable this message, because we have to learn		
		else 
		if checkItemOnGlobalProtectedList(itemID)==true then
			if GlobalOptions.Protect.pialsm==true then -- Print item already listed message
				print(AVKFont.avkBlueTextMessagePrefixSuffix..itemLink.." is already on your global protect list.")
			end			
			elseif checkItemOnCharacterProtectedList(itemID)==true then			
			if GlobalOptions.Protect.pialsm==true then -- Print item already listed message
				print(AVKFont.avkBlueTextMessagePrefixSuffix..itemLink.." is already on "..playerName.."'s protect list.")
			end
			else
			if GlobalOptions.Protect.pialsm==true then -- Print item added to list message
				print(AVKFont.avkBlueTextMessagePrefixSuffix..itemLink..AVKFont.avkOrangeText.." added to your global protect list.")
			end
			table.insert(CharacterProtectList,1,itemID)
			showAVKProtectPanel()			
		end			
	end	
	ClearCursor()
end

-- Add Items to List
local function addItemToGlobalList()	
	local itemType,itemID,_,_=GetCursorInfo()
	local _,itemLink,itemQuality,_,_,_,_,_,_,_,itemValue=GetItemInfo(itemID)	
	if itemType~="item" then   -- if not item end
		print(AVKFont.avkBlueTextMessagePrefixSuffix.." That was not an item.") -- Cannot disable this message, because we have to learn
		else		
		if itemValue~=0 then  -- if is item + has value
			if itemQuality==0 then  -- if is grey end
				if GlobalOptions.Sell.sialfm==true then -- Print item already listed message
					print(AVKFont.avkBlueTextMessagePrefixSuffix..itemLink.." is grey and has value. Not added to your sell list.")
				end
				elseif checkItemOnGlobalSellList(itemID)==true then -- if already on list end
				if GlobalOptions.Sell.sialfm==true then -- Print item already listed message
					print(AVKFont.avkBlueTextMessagePrefixSuffix..itemLink.." is already on your global sell list.")
				end
				else -- if not already on list add to list
				if GlobalOptions.Sell.sialsm==true then -- Print item added to list message
					print(AVKFont.avkBlueTextMessagePrefixSuffix..itemLink..AVKFont.avkGreenText.." added to your global sell list.")
				end
				table.insert(GlobalSellList,1,itemID)
				showAVKSellPanel()
			end
			elseif itemValue==0 then  -- if is item + has no value
			if checkItemOnGlobalDestroyList(itemID)==true then  -- if already on destroy list end
				if GlobalOptions.Destroy.dialfm==true then -- Print item already listed message
					print(AVKFont.avkBlueTextMessagePrefixSuffix..itemLink.." is already on your global destroy list.")
				end
				else -- if not already on list add to list end
				if GlobalOptions.Destroy.dialsm==true then -- Print item added to list message
					print(AVKFont.avkBlueTextMessagePrefixSuffix..itemLink..AVKFont.avkRedText.." added to your global destroy list.")
				end
				table.insert(GlobalDestroyList,1,itemID)
				showAVKDestroyPanel()
			end
		end		
	end	
	ClearCursor()
end

local function addItemToCharacterList()
	local itemType,itemID,_,_=GetCursorInfo()
	local _,itemLink,itemQuality,_,_,_,_,_,_,_,itemValue=GetItemInfo(itemID)	
	if itemType~="item" then   -- if not item end
		print(AVKFont.avkBlueTextMessagePrefixSuffix.." That was not an item.") -- Cannot disable this message, because we have to learn
		elseif checkItemOnGlobalSellList(itemID)==true then -- if already on global list end
		if GlobalOptions.Sell.sialfm==true then -- Print item already listed message
			print(AVKFont.avkBlueTextMessagePrefixSuffix..itemLink.." is already on your global sell list.")
		end
		else		
		if itemValue~=0 then  -- if is item + has value
			if itemQuality==0 then  -- if is grey end
				if GlobalOptions.Sell.sialfm==true then -- Print item already listed message
					print(AVKFont.avkBlueTextMessagePrefixSuffix..itemLink.." is grey and has value. Not added to "..playerName.."'s sell list.")
				end
				elseif checkItemOnCharacterSellList(itemID)==true then -- if already on global list end
				if GlobalOptions.Sell.sialfm==true then -- Print item already listed message
					print(AVKFont.avkBlueTextMessagePrefixSuffix..itemLink.." is already on "..playerName.."'s sell list.")
				end			
				else -- if not already on list add to list end
				if GlobalOptions.Sell.sialsm==true then -- Print item added to list message
					print(AVKFont.avkBlueTextMessagePrefixSuffix..itemLink..AVKFont.avkGreenText.." added to "..playerName.."'s sell list.")
				end
				table.insert(CharacterSellList,1,itemID)
				showAVKSellPanel()
			end
			elseif itemValue==0 then  -- if is item + has no value
			if checkItemOnGlobalDestroyList(itemID)==true then  -- if already on destroy list end
				if GlobalOptions.Destroy.dialfm==true then -- Print item already listed message
					print(AVKFont.avkBlueTextMessagePrefixSuffix..itemLink.." is already on your global destroy list.")
				end
				elseif checkItemOnCharacterDestroyList(itemID)==true then
				if GlobalOptions.Destroy.dialfm==true then -- Print item already listed message
					print(AVKFont.avkBlueTextMessagePrefixSuffix..itemLink.." is already on "..playerName.."'s destroy list.")
				end
				else -- if not already on list add to list end
				if GlobalOptions.Destroy.dialsm==true then -- Print item added to list message
					print(AVKFont.avkBlueTextMessagePrefixSuffix..itemLink..AVKFont.avkRedText.." added to "..playerName.."'s destroy list.")
				end
				table.insert(CharacterDestroyList,1,itemID)
				showAVKDestroyPanel()
			end		
		end
	end		
	ClearCursor()
end	

-- Validate vendor
local function checkVendorBlacklist(currentVendor)
	for k,v in pairs (AVKVendorBlacklist) do
		if (v==currentVendor) then
			return true
		end
	end
	return false
end

-- Sell function
local function avkSell()	
	--	local tempSellList={}
	local vendorGUID,vendorName=UnitGUID("target"),UnitName("target")
	local _,_,_,_,_,npcID,_=strsplit("-",vendorGUID)
	local vendorID = tonumber(npcID)
	local profitCounter=0   -- Cash counting variable	
	local twelveCounter=0	-- Twelve item counter	
	if checkVendorBlacklist(vendorID) then -- Check if vendor ID is on blacklist
		print(AVKFont.avkBlueTextMessagePrefixSuffix..AVKFont.avkGreenText..vendorName.." refuses to buy your items.")
		else		
		for sellBag=0,4 do   -- Check each bag
			local sellBagSlot = GetContainerNumSlots(sellBag)			
			for sellSlot=0,sellBagSlot do    -- Check each bag slot
				local currentItemID=GetContainerItemID(sellBag,sellSlot)				
				if currentItemID then-- If current bag slot has an item then get the item info
					local _,itemLink,itemQuality,_,_,_,_,_,_,_,itemValue=GetItemInfo(currentItemID)
					local _,itemCount,_,_,_,_,_,_=GetContainerItemInfo(sellBag,sellSlot)
					
					if (checkItemOnGlobalProtectedList(currentItemID)==true or checkItemOnCharacterProtectedList(currentItemID)==true) and itemValue~=0 then						
						if GlobalOptions.Sell.sdsm==true and GlobalOptions.Protect.pdpm==true then  
							print(" - Protected: "..itemLink.." not sold.")
						end							
						elseif checkItemOnGlobalSellList(currentItemID)==true or checkItemOnCharacterSellList(currentItemID)==true or itemQuality==0 then						
						if twelveCounter~=12 then	-- test twelve item count							
							UseContainerItem(sellBag,sellSlot)  -- Sell current item  --  Comment out to Debug							
							if GlobalOptions.Sell.sdsm==true then  -- If messages are on 
								print(" - Sold: "..itemCount.." "..itemLink.." for "..GetCoinTextureString(itemCount*itemValue))
							end							
							profitCounter=profitCounter+(itemCount*itemValue)	-- Add sale value to profit counter							
							if GlobalOptions.Sell.stil==true then	-- If twelve item limit
								twelveCounter=twelveCounter+1	-- increase twelve counter
							end							
						end
					end
				end
			end
		end			
		if profitCounter~=0 then    -- if items were sold print out total -- this message cannot be disabled
			print(AVKFont.avkBlueTextMessagePrefixSuffix..AVKFont.avkGreenText.."Total Profit :-|r  "..GetCoinTextureString(profitCounter))
			elseif GlobalOptions.Sell.sntsm==true then  -- if no items sell print out grind message
			print(AVKFont.avkBlueTextMessagePrefixSuffix..AVKFont.avkGreenText.."Nothing to sell. Better grind some more.")			
		end
		profitCounter=0	-- reset counter
		twelveCounter=0	-- reset counter
	end
end

-- Destroy function
local function avkDestroy()
	local destroyedItemCount=0   -- destroyed items counting variable
	local destroyedSlotCount=0
	for destroyBag=0,4 do   -- Check each bag
		local destroyBagSlot=GetContainerNumSlots(destroyBag)
		for destroySlot=0,destroyBagSlot do    -- Check each bag slot
			local currentItemID = GetContainerItemID(destroyBag,destroySlot)
			if currentItemID then-- If current bag slot has an item then get the item info
				local _,itemLink,_,_,_,_,_,_,_,_,itemValue=GetItemInfo(currentItemID)
				local _,itemCount,_,_,_,_,_,_=GetContainerItemInfo(destroyBag,destroySlot)				
				if (checkItemOnGlobalProtectedList(currentItemID)==true or checkItemOnCharacterProtectedList(itemID)==true) and itemValue==0 then
					if GlobalOptions.Destroy.dddm==true and GlobalOptions.Protect.pdpm==true then     -- Print each item destroyed
						print(" - Protected: "..itemLink.." not destroyed.")
					end				
					elseif checkItemOnGlobalDestroyList(currentItemID)==true or checkItemOnCharacterDestroyList(currentItemID)==true then
					destroyedItemCount=destroyedItemCount+itemCount
					destroyedSlotCount=destroyedSlotCount+1
					-- if item Destroy messages are on print (this message can be disabled)
					if GlobalOptions.Destroy.dddm==true and GlobalOptions.Protect.pdpm==true then     -- Print each item destroyed
						print(" - Destroyed: "..itemCount.." "..itemLink)
					end
					PickupContainerItem(destroyBag,destroySlot) DeleteCursorItem()  -- Destroy current item  --  Comment out to Debug				
				end				
			end
		end
	end
	if destroyedSlotCount~=0 then    -- if items were destroyed print out total -- if no items destroyed print out bag space message
		print(AVKFont.avkBlueTextMessagePrefixSuffix..AVKFont.avkRedText.."Items destroyed :-|r "..destroyedItemCount..AVKFont.avkRedText.."  ~  Bagslots cleared :-|r "..destroyedSlotCount)
		elseif GlobalOptions.Destroy.dntdm==true then
		print(AVKFont.avkBlueTextMessagePrefixSuffix..AVKFont.avkRedText.."Nothing destroyed. No bag space saved.")
	end
end

-- Repair function
local function avkRepair()
	if CanMerchantRepair() then
		local repairAllCost,_=GetRepairAllCost()
		if repairAllCost~=0 then
			if CanGuildBankRepair() and GlobalOptions.Repair.rgr==true then
				RepairAllItems(1)  --  Comment out to Debug
				print(AVKFont.avkBlueTextMessagePrefixSuffix..AVKFont.avkPinkText.."Repairs paid with guild funds :- |r"..GetCoinTextureString(repairAllCost))
				elseif GetMoney()>=repairAllCost then
				RepairAllItems()  --  Comment out to Debug
				print(AVKFont.avkBlueTextMessagePrefixSuffix..AVKFont.avkPinkText.."Repairs funded by you :- |r"..GetCoinTextureString(repairAllCost))
				elseif GetMoney()<repairAllCost then
				RepairAllItems()  --  Comment out to Debug
				if GlobalOptions.Repair.rcarm==true then
					print(AVKFont.avkBlueTextMessagePrefixSuffix..AVKFont.avkPinkText.."Guild won't pay and you can't afford it!")
				end
			end
			else
			if GlobalOptions.Repair.rntrm==true then
				print(AVKFont.avkBlueTextMessagePrefixSuffix..AVKFont.avkPinkText.."Nothing to repair.")
			end
		end
		else
		if GlobalOptions.Repair.rvcrm==true then
			print(AVKFont.avkBlueTextMessagePrefixSuffix..AVKFont.avkPinkText.."This vendor cannot repair.")
		end		
	end
end

-- Slash commands 
SLASH_AARDVARK1="/avk" -- Show frame
function SlashCmdList.AARDVARK(msg,editbox)
	AardvarkMainFrame:Show()
end

SLASH_AARDVARKRFP1="/avkpos" -- Reset layouts and scales
function SlashCmdList.AARDVARKRFP(msg,editbox)
	AardvarkMainFrame:ClearAllPoints()
	AardvarkMainFrame:SetPoint("LEFT",250,0)
	GlobalOptions.FrameScales.amfs=1
	AardvarkMainFrame:SetScale(GlobalOptions.FrameScales.amfs)
	AardvarkMainFrame:Show()
	AardvarkMagicButton:ClearAllPoints()
	AardvarkMagicButton:SetPoint("BOTTOMRIGHT",AardvarkMainFrame,"TOPRIGHT",0,20)
	GlobalOptions.FrameScales.ambs=1
	AardvarkMagicButton:SetScale(GlobalOptions.FrameScales.ambs)
	AardvarkMagicButton:Show()	
	AardvarkActionBar:ClearAllPoints()
	AardvarkActionBar:SetPoint("TOPLEFT",AardvarkMainFrame,"TOPRIGHT",0,0)
	GlobalOptions.FrameScales.aabs=1
	AardvarkActionBar:SetScale(GlobalOptions.FrameScales.aabs)
	AardvarkActionBar:Show()	
end

SLASH_AARDVARKD1="/avkdestroy" -- Destroy
function SlashCmdList.AARDVARKD(msg,editbox)
	avkDestroy()
end

SLASH_AARDVARKCB1="/avkclear" -- Clear all lists
function SlashCmdList.AARDVARKCB(msg,editbox)
	GlobalSellList={} -- Global Sell
	GlobalDestroyList={} -- Global Destroy
	GlobalProtectList={} -- Global Protect
	CharacterSellList={} -- Character Sell
	CharacterDestroyList={} -- Character Destroy	
	CharacterProtectList={} -- Character Protect
	avkUpdateLists()
	print(AVKFont.avkBlueTextMessagePrefix.."All Lists Cleared")
end

SLASH_AARDVARKSG1="/avksg" -- Special add item to global destroy list ignoring value check 
function SlashCmdList.AARDVARKSG(msg,editbox)
	local itemID = tonumber(string.match(msg, "item:(%d+):"))	
	if checkItemOnGlobalDestroyList(itemID)==true then  -- if already on destroy list end
		if GlobalOptions.Destroy.dialfm==true then -- Print item already listed message
			print(AVKFont.avkBlueTextMessagePrefixSuffix..msg.." is already on your global destroy list.")
		end
		else -- if not already on list add to list end
		if GlobalOptions.Destroy.dialsm==true then -- Print item added to list message
			print(AVKFont.avkBlueTextMessagePrefixSuffix..msg..AVKFont.avkRedText.." added to your global destroy list.")
		end
		table.insert(GlobalDestroyList,1,itemID)
		showAVKDestroyPanel()
	end	
end

SLASH_AARDVARKSC1="/avksc" -- Special add item to character destroy list ignoring value check 
function SlashCmdList.AARDVARKSC(msg,editbox)
	local itemID = tonumber(string.match(msg, "item:(%d+):"))	
	if checkItemOnGlobalDestroyList(itemID)==true then  -- if already on destroy list end
		if GlobalOptions.Destroy.dialfm==true then -- Print item already listed message
			print(AVKFont.avkBlueTextMessagePrefixSuffix..msg.." is already on your global destroy list.")
		end
		elseif checkItemOnCharacterDestroyList(itemID)==true then
		if GlobalOptions.Destroy.dialfm==true then -- Print item already listed message
			print(AVKFont.avkBlueTextMessagePrefixSuffix..msg.." is already on "..playerName.."'s destroy list.")
		end
		else -- if not already on list add to list end
		if GlobalOptions.Destroy.dialsm==true then -- Print item added to list message
			print(AVKFont.avkBlueTextMessagePrefixSuffix..msg..AVKFont.avkRedText.." added to "..playerName.."'s destroy list.")
		end
		table.insert(CharacterDestroyList,1,itemID)
		showAVKDestroyPanel()
	end
end

--===================			AardvarkMainFrame			============================
local AardvarkMainFrame=CreateFrame("Frame","AardvarkMainFrame",UIParent,"TooltipBorderedFrameTemplate")
AardvarkMainFrame:SetBackdrop({bgFile=nil,insets=nil,tileSize=nil,tile=false,edgeFile="Interface\\Tooltips\\UI-Tooltip-Border",edgeSize=AVKSize.backdropEdgeSize})
AardvarkMainFrame:SetBackdropBorderColor(0,1,1,1)
AardvarkMainFrame:SetSize(AVKSize.mainFrameWidth,AVKSize.mainFrameHeight)
AardvarkMainFrame:ClearAllPoints()
AardvarkMainFrame:SetPoint("LEFT",250,0)
AardvarkMainFrame:EnableMouse(true)
AardvarkMainFrame:SetMovable(true)
AardvarkMainFrame:RegisterForDrag("RightButton","LeftButton")  --  Debug review
AardvarkMainFrame:SetScript("OnDragStart",AardvarkMainFrame.StartMoving)
AardvarkMainFrame:SetScript("OnDragStop",AardvarkMainFrame.StopMovingOrSizing)
AardvarkMainFrame:SetToplevel(true)
AardvarkMainFrame:SetScript("OnEvent",function(self,event,...)	
	if event=="PLAYER_LOGIN" then
		print(AVKText.avkLoad)		
		avkManageLists()
		avkUpdateLists()
		toggleVerticleActionBar()
		elseif event=="MERCHANT_SHOW" then
		if GlobalOptions.Destroy.ded==true and GlobalOptions.Destroy.dead then
			avkDestroy()
		end		
		if GlobalOptions.Repair.rer==true then
			avkRepair()
		end
		if GlobalOptions.Sell.ses==true and GlobalOptions.Sell.seas==true then
			avkSell()
		end
		if GlobalOptions.Aardvark.afab==true then
			AardvarkActionBarSellButton:Enable()
			AardvarkActionBar:Show()
			else
			AardvarkActionBar:Hide()
		end
		elseif event=="MERCHANT_CLOSED" then
		AardvarkActionBarSellButton:Disable()
		if GlobalOptions.Aardvark.afabas==false then
			AardvarkActionBar:Hide()
		end
	end
	AardvarkMainFrame:SetScale(GlobalOptions.FrameScales.amfs)
	AardvarkMagicButton:SetScale(GlobalOptions.FrameScales.ambs)
	AardvarkActionBar:SetScale(GlobalOptions.FrameScales.aabs)	
end)		
AardvarkMainFrame:RegisterEvent("PLAYER_LOGIN")
AardvarkMainFrame:RegisterEvent("MERCHANT_SHOW")
AardvarkMainFrame:RegisterEvent("MERCHANT_CLOSED")
AardvarkMainFrame:Hide()

local AardvarkMainFrameCloseButton=CreateFrame("Button","AardvarkMainFrameCloseButton",AardvarkMainFrame)
AardvarkMainFrameCloseButton:SetPoint("TOPRIGHT",AVKSize.closeButtonGap,AVKSize.closeButtonGap)
AardvarkMainFrameCloseButton:SetSize(AVKSize.closeButtonSize,AVKSize.closeButtonSize)
AardvarkMainFrameCloseButton:SetNormalTexture(AVKImg.avkci)
AardvarkMainFrameCloseButton:SetHighlightTexture(AVKImg.avkci,"ADD")
AardvarkMainFrameCloseButton:SetScript("OnClick",function(self)
	AardvarkScalePanel:Hide()
	AardvarkMainFrame:Hide()
end)

local AardvarkMainFrameBanner=CreateFrame("Frame","AardvarkOptionsFrameBanner",AardvarkMainFrame)
AardvarkMainFrameBanner:SetSize(512,86)
AardvarkMainFrameBanner:SetPoint("TOP",0,-20)
AardvarkMainFrameBanner.Texture = AardvarkMainFrameBanner:CreateTexture(nil,"BACKGROUND")
AardvarkMainFrameBanner.Texture:SetPoint("TOP",0,0)
AardvarkMainFrameBanner.Texture:SetTexture(AVKImg.avkban)

--===================			AardvarkNavigationPanel			============================
local AardvarkNavigationPanel = CreateFrame("Frame","AardvarkNavigationPanel",AardvarkMainFrame)
AardvarkNavigationPanel:SetSize(AVKSize.mainFrameWidth,AVKSize.mainFrameNavigationFrameHeight)
AardvarkNavigationPanel:SetPoint("TOP",0,AVKSize.mainFrameNavigationFrameY)

local AardvarkNavigationDestroy=CreateFrame("Button","AardvarkNavigationDestroy",AardvarkNavigationPanel)
AardvarkNavigationDestroy:SetPoint("CENTER",-AVKSize.mainFrameNavigationButtonSpace*.5,0)
AardvarkNavigationDestroy:SetSize(AVKSize.mainFrameNavigationButtonSize,AVKSize.mainFrameNavigationButtonSize)
AardvarkNavigationDestroy:SetNormalTexture(AVKImg.avkdi)
AardvarkNavigationDestroy:SetHighlightTexture(AVKImg.avkdi_alt,"BLEND")
AardvarkNavigationDestroy:SetScript("OnClick",showAVKDestroyPanel)

local AardvarkNavigationSell=CreateFrame("Button","AardvarkNavigationSell",AardvarkNavigationPanel)
AardvarkNavigationSell:SetPoint("CENTER", AardvarkNavigationDestroy,-AVKSize.mainFrameNavigationButtonSpace,0)
AardvarkNavigationSell:SetSize(AVKSize.mainFrameNavigationButtonSize,AVKSize.mainFrameNavigationButtonSize)
AardvarkNavigationSell:SetNormalTexture(AVKImg.avksi)
AardvarkNavigationSell:SetHighlightTexture(AVKImg.avksi_alt,"BLEND")
AardvarkNavigationSell:SetScript("OnClick",showAVKSellPanel)

local AardvarkNavigationAardvarkOptions=CreateFrame("Button","AardvarkNavigationAardvarkOptions",AardvarkNavigationPanel)
AardvarkNavigationAardvarkOptions:SetPoint("CENTER",AardvarkNavigationSell,-AVKSize.mainFrameNavigationButtonSpace,0)
AardvarkNavigationAardvarkOptions:SetSize(AVKSize.mainFrameNavigationButtonSize,AVKSize.mainFrameNavigationButtonSize)
AardvarkNavigationAardvarkOptions:SetNormalTexture(AVKImg.avki)
AardvarkNavigationAardvarkOptions:SetHighlightTexture(AVKImg.avki_alt,"BLEND")
AardvarkNavigationAardvarkOptions:SetScript("OnClick",showAVKOptionsPanel)

local AardvarkNavigationProtectOptions=CreateFrame("Button","AardvarkNavigationProtectOptions",AardvarkNavigationPanel)
AardvarkNavigationProtectOptions:SetPoint("LEFT", AardvarkNavigationDestroy,AVKSize.mainFrameNavigationButtonSpace,0)
AardvarkNavigationProtectOptions:SetSize(AVKSize.mainFrameNavigationButtonSize,AVKSize.mainFrameNavigationButtonSize)
AardvarkNavigationProtectOptions:SetNormalTexture(AVKImg.avkpi)
AardvarkNavigationProtectOptions:SetHighlightTexture(AVKImg.avkpi_alt,"BLEND")
AardvarkNavigationProtectOptions:SetScript("OnClick",showAVKProtectPanel)

local AardvarkNavigationRepairOptions=CreateFrame("Button","AardvarkNavigationRepairOptions",AardvarkNavigationPanel)
AardvarkNavigationRepairOptions:SetPoint("CENTER", AardvarkNavigationProtectOptions,AVKSize.mainFrameNavigationButtonSpace,0)
AardvarkNavigationRepairOptions:SetSize(AVKSize.mainFrameNavigationButtonSize,AVKSize.mainFrameNavigationButtonSize)
AardvarkNavigationRepairOptions:SetNormalTexture(AVKImg.avkri)
AardvarkNavigationRepairOptions:SetHighlightTexture(AVKImg.avkri_alt,"BLEND")
AardvarkNavigationRepairOptions:SetScript("OnClick",showAVKRepairPanel)

local AardvarkNavigationSilly=CreateFrame("Button","AardvarkNavigationSilly",AardvarkNavigationPanel)
AardvarkNavigationSilly:SetPoint("CENTER", AardvarkNavigationRepairOptions,AVKSize.mainFrameNavigationButtonSpace,0)
AardvarkNavigationSilly:SetSize(AVKSize.mainFrameNavigationButtonSize,AVKSize.mainFrameNavigationButtonSize)
AardvarkNavigationSilly:SetNormalTexture(AVKImg.avki)
AardvarkNavigationSilly:SetHighlightTexture(AVKImg.avki_alt,"BLEND")
AardvarkNavigationSilly:SetScript("OnClick",showAVKSillyPanel)

--===================     AardvarkOptionsPanel     =============================
local AardvarkOptionsPanel=CreateFrame("Frame","AardvarkOptionsPanel",AardvarkMainFrame,"TooltipBorderedFrameTemplate")
AardvarkOptionsPanel:SetBackdrop({bgFile=nil,insets=nil,tileSize=nil,tile=false,edgeFile="Interface\\Tooltips\\UI-Tooltip-Border",edgeSize=AVKSize.backdropEdgeSize})
AardvarkOptionsPanel:SetBackdropBorderColor(0,1,1,1)
AardvarkOptionsPanel:SetSize(AVKSize.mainPanelWidth,AVKSize.mainPanelHeight)
AardvarkOptionsPanel:SetPoint("BOTTOM",0,AVKSize.mainFrameMarginGap)
AardvarkOptionsPanel:Show()

local CBamfb=CreateFrame("CheckButton","CBamfb",AardvarkOptionsPanel,"UICheckButtonTemplate")
CBamfb:ClearAllPoints()
CBamfb:SetPoint("TOPLEFT",AVKSize.mainPanelElementGap,-AVKSize.mainPanelElementGap)
CBamfb:SetSize(AVKSize.checkBoxBigSize,AVKSize.checkBoxBigSize)
CBamfb.text:SetText(AVKFont.avkBlueText.." Aardvark Button")
CBamfb.text:SetFontObject(avkCheckBoxBigFont)
CBamfb:SetScript("OnClick",function()
	if GlobalOptions.Aardvark.amfb==true then
		GlobalOptions.Aardvark.amfb=false
		AardvarkMagicButton:Hide()
		else
		GlobalOptions.Aardvark.amfb=true
		AardvarkMagicButton:Show()
	end
end)

local CBamfbt=CreateFrame("CheckButton","CBamfbt",AardvarkOptionsPanel,"UICheckButtonTemplate")
CBamfbt:ClearAllPoints()
CBamfbt:SetPoint("TOPLEFT",CBamfb,0,-AVKSize.checkboxGapY)
CBamfbt:SetSize(AVKSize.checkBoxBigSize,AVKSize.checkBoxBigSize)
CBamfbt.text:SetText(AVKFont.avkBlueText.." Aardvark Button Tooltip")
CBamfbt.text:SetFontObject(avkCheckBoxBigFont)
CBamfbt:SetScript("OnClick",function()
	if GlobalOptions.Aardvark.amfbt==true then
		GlobalOptions.Aardvark.amfbt=false
		else
		GlobalOptions.Aardvark.amfbt=true
	end
end)

local CBafab=CreateFrame("CheckButton","CBafab",AardvarkOptionsPanel,"UICheckButtonTemplate")
CBafab:ClearAllPoints()
CBafab:SetPoint("TOPLEFT",CBamfbt,0,-AVKSize.checkboxGapY)  --  Debug review
CBafab:SetSize(AVKSize.checkBoxBigSize,AVKSize.checkBoxBigSize)
CBafab.text:SetText(AVKFont.avkBlueText.." Aardvark Action Bar")
CBafab.text:SetFontObject(avkCheckBoxBigFont)
CBafab:SetScript("OnClick",function()
	if GlobalOptions.Aardvark.afab==true then
		GlobalOptions.Aardvark.afab=false
		CBafabas:Hide()
		CBafabv:Hide()
		AardvarkActionBar:Hide()
		else
		GlobalOptions.Aardvark.afab=true
		if not AardvarkActionBar:IsVisible() then
			CBafabas:Show()
			CBafabv:Show()
			AardvarkActionBar:Show()
		end
	end
end)

local CBafabas=CreateFrame("CheckButton","CBafabas",AardvarkOptionsPanel,"UICheckButtonTemplate")
CBafabas:ClearAllPoints()
CBafabas:SetPoint("TOPLEFT",CBafab,AVKSize.checkBoxChildGapX,-AVKSize.checkboxGapY*1.2)
CBafabas:SetSize(AVKSize.checkBoxBigSize,AVKSize.checkBoxBigSize)
CBafabas.text:SetText(" Always Show Action Bar")
CBafabas.text:SetFontObject(avkContentFont)
CBafabas:SetScript("OnClick",function()
	if GlobalOptions.Aardvark.afabas==true then
		GlobalOptions.Aardvark.afabas=false
		toggleFloatingActionBar()
		else
		GlobalOptions.Aardvark.afabas=true
		AardvarkActionBar:Show()
	end
end)

local CBafabv=CreateFrame("CheckButton","CBafabv",AardvarkOptionsPanel,"UICheckButtonTemplate")
CBafabv:ClearAllPoints()
CBafabv:SetPoint("TOPLEFT",CBafabas,0,-AVKSize.checkboxGapY)
CBafabv:SetSize(AVKSize.checkBoxBigSize,AVKSize.checkBoxBigSize)
CBafabv.text:SetText(" Verticle Align Action Bar")
CBafabv.text:SetFontObject(avkContentFont)
CBafabv:SetScript("OnClick",function()
	if GlobalOptions.Aardvark.afabv==true then
		GlobalOptions.Aardvark.afabv=false
		toggleVerticleActionBar()
		else
		GlobalOptions.Aardvark.afabv=true
		toggleVerticleActionBar()
	end
end)

local AardvarkOptionsPanelTextBox=CreateFrame("Frame","AardvarkOptionsPanelTextBox",AardvarkOptionsPanel)
AardvarkOptionsPanelTextBox:SetSize(AVKSize.mainPanelWidth-AVKSize.textBoxWidthShrink,AVKSize.mainPanelHeight-AVKSize.mainPanelElementGap)
AardvarkOptionsPanelTextBox:SetPoint("BOTTOMLEFT",AVKSize.mainPanelElementGap,AVKSize.mainPanelElementGap)
AardvarkOptionsPanelText=AardvarkOptionsPanelTextBox:CreateFontString("AardvarkOptionsPanelText")
AardvarkOptionsPanelText:SetJustifyH("LEFT")
AardvarkOptionsPanelText:SetJustifyV("BOTTOM")
AardvarkOptionsPanelText:SetAllPoints(AardvarkOptionsPanelTextBox)
AardvarkOptionsPanelText:SetFontObject(avkContentFont)
AardvarkOptionsPanelText:SetText(AVKText.avkOptions)

local AardvarkOptionsScaleButton=CreateFrame("Button","AardvarkOptionsScaleButton",AardvarkOptionsPanel,"UIMenuButtonStretchTemplate")
AardvarkOptionsScaleButton:SetSize(AVKSize.scrollFrameWidth*.25,AVKSize.clearButtonHight)
AardvarkOptionsScaleButton:SetPoint("BOTTOMRIGHT",-10,10)
AardvarkOptionsScaleButton:SetBackdrop({bgFile=nil,insets=nil,tileSize=nil,tile=true,edgeFile="Interface\\Tooltips\\UI-Tooltip-Border",edgeSize=AVKSize.backdropEdgeSize})
AardvarkOptionsScaleButton:SetBackdropBorderColor(0,1,1,1)
AardvarkOptionsScaleButton:SetNormalFontObject(avkButtonFont)
AardvarkOptionsScaleButton:SetHighlightFontObject(avkButtonFont)
AardvarkOptionsScaleButton:SetFormattedText("Scale")
AardvarkOptionsScaleButton:SetScript("OnClick",showAVKScalePanel)

--===================			AardvarkSellOptionsPanel			============================
local AardvarkSellOptionsPanel = CreateFrame("Frame","AardvarkSellOptionsPanel",AardvarkMainFrame,"TooltipBorderedFrameTemplate")
AardvarkSellOptionsPanel:SetBackdrop({bgFile=nil,insets=nil,tileSize=nil,tile=false,edgeFile="Interface\\Tooltips\\UI-Tooltip-Border",edgeSize=AVKSize.backdropEdgeSize})
AardvarkSellOptionsPanel:SetBackdropBorderColor(0,1,0,1)
AardvarkSellOptionsPanel:SetSize(AVKSize.mainPanelWidth,AVKSize.mainPanelHeight)
AardvarkSellOptionsPanel:SetPoint("BOTTOM",0,AVKSize.mainFrameMarginGap)
AardvarkSellOptionsPanel:Hide()

local CBses=CreateFrame("CheckButton","CBses",AardvarkSellOptionsPanel,"UICheckButtonTemplate")
CBses:ClearAllPoints()
CBses:SetPoint("TOPLEFT",AVKSize.mainPanelElementGap,-AVKSize.mainPanelElementGap)
CBses:SetSize(AVKSize.checkBoxBigSize,AVKSize.checkBoxBigSize)
CBses.text:SetText(AVKFont.avkGreenText.." Aardvark Sell")
CBses.text:SetFontObject(avkCheckBoxBigFont)
CBses:SetScript("OnClick",function()
	if GlobalOptions.Sell.ses==true then
		GlobalOptions.Sell.ses=false
		CBseas:Hide()
		CBstil:Hide()
		CBsdsm:Hide()
		CBsntsm:Hide()		
		CBsialsm:Hide()
		CBsialfm:Hide()
		CBslit:Hide()
		else
		GlobalOptions.Sell.ses=true
		CBseas:Show()
		CBstil:Show()
		CBsdsm:Show()
		CBsntsm:Show()		
		CBsialsm:Show()
		CBsialfm:Show()
		CBslit:Show()
	end
end)

local CBseas=CreateFrame("CheckButton","CBseas",AardvarkSellOptionsPanel,"UICheckButtonTemplate")
CBseas:ClearAllPoints()
CBseas:SetPoint("TOPLEFT",CBses,AVKSize.checkBoxChildGapX,-AVKSize.checkboxGapY*1.2)
CBseas:SetSize(AVKSize.checkBoxBigSize,AVKSize.checkBoxBigSize)
CBseas.text:SetText(" Auto Sell")
CBseas.text:SetFontObject(avkContentFont)
CBseas:SetScript("OnClick",function()
	if GlobalOptions.Sell.seas==true then
		GlobalOptions.Sell.seas=false
		else
		GlobalOptions.Sell.seas=true
	end
end)

local CBstil=CreateFrame("CheckButton","CBstil",AardvarkSellOptionsPanel,"UICheckButtonTemplate")
CBstil:ClearAllPoints()
CBstil:SetPoint("TOPLEFT",CBseas,0,-AVKSize.checkboxGapY)
CBstil:SetSize(AVKSize.checkBoxBigSize,AVKSize.checkBoxBigSize)
CBstil.text:SetText(" Sell 12 Items At A Time")
CBstil.text:SetFontObject(avkContentFont)
CBstil:SetScript("OnClick",function()
	if GlobalOptions.Sell.stil==true then
		GlobalOptions.Sell.stil=false
		else
		GlobalOptions.Sell.stil=true
	end
end)

local CBsdsm=CreateFrame("CheckButton","CBsdsm",AardvarkSellOptionsPanel,"UICheckButtonTemplate")
CBsdsm:ClearAllPoints()
CBsdsm:SetPoint("TOPLEFT",CBstil,0,-AVKSize.checkboxGapY)
CBsdsm:SetSize(AVKSize.checkBoxBigSize,AVKSize.checkBoxBigSize)
CBsdsm.text:SetText(" Detailed Sell Messages")
CBsdsm.text:SetFontObject(avkContentFont)
CBsdsm:SetScript("OnClick",function()
	if GlobalOptions.Sell.sdsm==true then
		GlobalOptions.Sell.sdsm=false
		else
		GlobalOptions.Sell.sdsm=true
	end
end)

local CBsntsm=CreateFrame("CheckButton","CBsntsm",AardvarkSellOptionsPanel,"UICheckButtonTemplate")
CBsntsm:ClearAllPoints()
CBsntsm:SetPoint("TOPLEFT",CBsdsm,0,-AVKSize.checkboxGapY)
CBsntsm:SetSize(AVKSize.checkBoxBigSize,AVKSize.checkBoxBigSize)
CBsntsm.text:SetText(" Nothing To Sell Messages")
CBsntsm.text:SetFontObject(avkContentFont)
CBsntsm:SetScript("OnClick",function()
	if GlobalOptions.Sell.sntsm==true then
		GlobalOptions.Sell.sntsm=false
		else
		GlobalOptions.Sell.sntsm=true
	end
end)

local CBsialsm=CreateFrame("CheckButton","CBsialsm",AardvarkSellOptionsPanel,"UICheckButtonTemplate")
CBsialsm:ClearAllPoints()
CBsialsm:SetPoint("TOPLEFT",CBsntsm,0,-AVKSize.checkboxGapY)
CBsialsm:SetSize(AVKSize.checkBoxBigSize,AVKSize.checkBoxBigSize)
CBsialsm.text:SetText(" Item Added Messages")
CBsialsm.text:SetFontObject(avkContentFont)
CBsialsm:SetScript("OnClick",function()
	if GlobalOptions.Sell.sialsm==true then
		GlobalOptions.Sell.sialsm=false
		else
		GlobalOptions.Sell.sialsm=true
	end
end)

local CBsialfm=CreateFrame("CheckButton","CBsialfm",AardvarkSellOptionsPanel,"UICheckButtonTemplate")
CBsialfm:ClearAllPoints()
CBsialfm:SetPoint("TOPLEFT",CBsialsm,0,-AVKSize.checkboxGapY)
CBsialfm:SetSize(AVKSize.checkBoxBigSize,AVKSize.checkBoxBigSize)
CBsialfm.text:SetText(" Item Not Added Messages")
CBsialfm.text:SetFontObject(avkContentFont)
CBsialfm:SetScript("OnClick",function()
	if GlobalOptions.Sell.sialfm==true then
		GlobalOptions.Sell.sialfm=false
		else
		GlobalOptions.Sell.sialfm=true
	end
end)

local CBslit=CreateFrame("CheckButton","CBslit",AardvarkSellOptionsPanel,"UICheckButtonTemplate")
CBslit:ClearAllPoints()
CBslit:SetPoint("TOPLEFT",CBsialfm,0,-AVKSize.checkboxGapY)
CBslit:SetSize(AVKSize.checkBoxBigSize,AVKSize.checkBoxBigSize)
CBslit.text:SetText(" Show Listed Item Tooltips")
CBslit.text:SetFontObject(avkContentFont)
CBslit:SetScript("OnClick",function()
	if GlobalOptions.Sell.slit==true then
		GlobalOptions.Sell.slit=false
		else
		GlobalOptions.Sell.slit=true
	end
end)

local AardvarkSellOptionsPanelTextBox=CreateFrame("Frame","AardvarkSellOptionsPanelTextBox",AardvarkSellOptionsPanel)
AardvarkSellOptionsPanelTextBox:SetSize(AVKSize.scrollFrameWidth-AVKSize.textBoxWidthShrink,AVKSize.mainPanelHeight-AVKSize.mainPanelElementGap)
AardvarkSellOptionsPanelTextBox:SetPoint("TOPRIGHT",-AVKSize.mainPanelElementGap,-AVKSize.mainPanelElementGap)
AardvarkSellOptionsPanelText=AardvarkSellOptionsPanelTextBox:CreateFontString("AardvarkSellOptionsPanelText")
AardvarkSellOptionsPanelText:SetJustifyH("CENTER")
AardvarkSellOptionsPanelText:SetJustifyV("TOP")
AardvarkSellOptionsPanelText:SetAllPoints(AardvarkSellOptionsPanelTextBox)
AardvarkSellOptionsPanelText:SetFontObject(avkContentFont)
AardvarkSellOptionsPanelText:SetText(AVKText.avkSellOptions)

--===================			AardvarkSellPanel			============================
local AardvarkSellPanel=CreateFrame("Frame","AardvarkSellPanel",AardvarkMainFrame,"TooltipBorderedFrameTemplate")
AardvarkSellPanel:SetBackdrop({bgFile=nil,insets=nil,tileSize=nil,tile=false,edgeFile="Interface\\Tooltips\\UI-Tooltip-Border",edgeSize=AVKSize.backdropEdgeSize})
AardvarkSellPanel:SetBackdropBorderColor(0,1,0,1)
AardvarkSellPanel:SetSize(AVKSize.mainPanelWidth,AVKSize.mainPanelHeight)
AardvarkSellPanel:SetPoint("BOTTOM",0,AVKSize.mainFrameMarginGap)
AardvarkSellPanel:Hide()

local AardvarkSellOptionsButton=CreateFrame("Button","AardvarkSellOptionsButton",AardvarkSellPanel)
AardvarkSellOptionsButton:SetSize(AVKSize.optionsButtonSize,AVKSize.optionsButtonSize)
AardvarkSellOptionsButton:SetPoint("CENTER", AardvarkNavigationSilly,AVKSize.mainFrameNavigationButtonSpace*.5+AVKSize.optionsButtonSize*.5,0)
AardvarkSellOptionsButton:SetNormalTexture(AVKImg.avksoi)
AardvarkSellOptionsButton:SetHighlightTexture(AVKImg.avksoi_alt,"BLEND")
AardvarkSellOptionsButton:SetScript("OnClick",showAVKSellOptionsPanel)

-- Global Sell
local AardvarkSellGlobalTitle=CreateFrame("Frame","AardvarkSellGlobalTitle",AardvarkSellPanel)
AardvarkSellGlobalTitle:SetSize(AVKSize.scrollFrameWidth,AVKSize.scrollTitleHeight)
AardvarkSellGlobalTitle:SetPoint("TOPLEFT",AardvarkSellPanel,AVKSize.scrollTitlePointX,AVKSize.scrollTitlePointY)
AardvarkSellGlobalTitleText=AardvarkSellGlobalTitle:CreateFontString("AardvarkSellGlobalTitleText")
AardvarkSellGlobalTitleText:SetPoint("CENTER",0,0)
AardvarkSellGlobalTitleText:SetJustifyH("CENTER")
AardvarkSellGlobalTitleText:SetJustifyV("CENTER")
AardvarkSellGlobalTitleText:SetAllPoints(AardvarkSellGlobalTitle)
AardvarkSellGlobalTitleText:SetFontObject(avkScrollTitleFont)
AardvarkSellGlobalTitleText:SetText("Global Sell List")

local AardvarkSellGlobalScrollParent=CreateFrame("Button","AardvarkSellGlobalScrollParent",AardvarkSellPanel,"TooltipBorderedFrameTemplate")
AardvarkSellGlobalScrollParent:SetBackdrop({bgFile=nil,insets=nil,tileSize=nil,tile=false,edgeFile="Interface\\Tooltips\\UI-Tooltip-Border",edgeSize=AVKSize.backdropEdgeSize})
AardvarkSellGlobalScrollParent:SetBackdropBorderColor(0,1,0,1)
AardvarkSellGlobalScrollParent:SetSize(AVKSize.scrollFrameWidth,AVKSize.scrollFrameHeight)
AardvarkSellGlobalScrollParent:SetPoint("TOP",AardvarkSellGlobalTitle,"BOTTOM",0,-8)
AardvarkSellGlobalScrollParent:SetScript("OnReceiveDrag",function()
	addItemToGlobalList()
end)
AardvarkSellGlobalScrollParent:SetScript("OnClick",function()
	if GetCursorInfo() then
		addItemToGlobalList()
	end
end)

local AardvarkSellGlobalScrollFrame=CreateFrame("ScrollFrame","AardvarkSellGlobalScrollFrame",AardvarkSellGlobalScrollParent,"FauxScrollFrameTemplate")
AardvarkSellGlobalScrollFrame:SetPoint("TOPLEFT",0,-8)
AardvarkSellGlobalScrollFrame:SetPoint("BOTTOMRIGHT",-30,8)
AardvarkSellGlobalScrollFrame:SetScript("OnVerticalScroll",function(self,offset)
	FauxScrollFrame_OnVerticalScroll(self,offset,16,avkUpdateLists)
end)

AardvarkSellGlobalScrollFrame.buttons={}
for i=1,AVKSize.scrollButtonNumber do
	AardvarkSellGlobalScrollFrame.buttons[i]=CreateFrame("Button","sglb"..i,AardvarkSellGlobalScrollParent)
	local button = AardvarkSellGlobalScrollFrame.buttons[i]
	button:SetSize(AVKSize.scrollButtonWidth,AVKSize.scrollButtonHeight)
	button:SetNormalFontObject("GameFontHighlightLeft")
	button:SetPoint("TOPLEFT",8,-(i-1)*AVKSize.scrollButtonHeight-8)
	button:SetHighlightTexture("Interface\\BUTTONS\\UI-Listbox-Highlight2")
	button:SetScript("OnEnter",function(self)
		local itemName,itemLink,_,_,_,_,_,_,_,_,_=GetItemInfo(GlobalSellList[self.index])
		GameTooltip:SetOwner(self,"ANCHOR_LEFT",AVKSize.toolTipAnchor,AVKSize.toolTipAnchor*.4)
		GameTooltip:SetHyperlink(itemLink)
		if GetCursorInfo() or GlobalOptions.Sell.slit==false then
			GameTooltip:Hide()
		end
		button:SetScript("OnClick",function(self)	
			if GetCursorInfo() then
				addItemToGlobalList()
				else
				if GlobalOptions.Sell.slit==true then
					GameTooltip:SetHyperlink(itemLink)
				end
				table.remove(GlobalSellList,self.index)
				GameTooltip:Hide()
				avkUpdateLists()
			end
		end)	
		button:SetScript("OnReceiveDrag",function()
			GameTooltip:Hide()
			addItemToGlobalList()
		end)		
	end)
	button:SetScript("OnLeave",function(self)		
		GameTooltip:Hide()
	end)
end

local AardvarkSellGlobalClearListButton=CreateFrame("Button","AardvarkSellGlobalClearListButton",AardvarkSellPanel,"UIMenuButtonStretchTemplate")
AardvarkSellGlobalClearListButton:SetSize(AVKSize.scrollFrameWidth,AVKSize.clearButtonHight)
AardvarkSellGlobalClearListButton:SetPoint("TOP",AardvarkSellGlobalScrollParent,"BOTTOM",0,-5)
AardvarkSellGlobalClearListButton:SetBackdrop({bgFile=nil,insets=nil,tileSize=nil,tile=true,edgeFile="Interface\\Tooltips\\UI-Tooltip-Border",edgeSize=AVKSize.backdropEdgeSize})
AardvarkSellGlobalClearListButton:SetBackdropBorderColor(0,1,0,1)
AardvarkSellGlobalClearListButton:SetNormalFontObject(avkButtonFont)
AardvarkSellGlobalClearListButton:SetHighlightFontObject(avkButtonFont)
AardvarkSellGlobalClearListButton:SetFormattedText("Clear Global Sell List")
AardvarkSellGlobalClearListButton:RegisterForClicks("RightButtonUp")
AardvarkSellGlobalClearListButton:SetScript("OnClick",function()
	GlobalSellList={}
	avkUpdateLists()
end)

-- Character Sell
local AardvarkSellLocalTitle=CreateFrame("Frame","AardvarkSellLocalTitle",AardvarkSellPanel)
AardvarkSellLocalTitle:SetSize(AVKSize.scrollFrameWidth,AVKSize.scrollTitleHeight)
AardvarkSellLocalTitle:SetPoint("TOPRIGHT",AardvarkSellPanel,-AVKSize.scrollTitlePointX,AVKSize.scrollTitlePointY)
AardvarkSellLocalTitleText=AardvarkSellLocalTitle:CreateFontString("AardvarkSellLocalTitleText")
AardvarkSellLocalTitleText:SetPoint("CENTER",0,0)
AardvarkSellLocalTitleText:SetJustifyH("CENTER")
AardvarkSellLocalTitleText:SetJustifyV("CENTER")
AardvarkSellLocalTitleText:SetAllPoints(AardvarkSellLocalTitle)
AardvarkSellLocalTitleText:SetFontObject(avkScrollTitleFont)
AardvarkSellLocalTitleText:SetText(playerName.."'s\nSell List")

local AardvarkSellCharacterScrollParent=CreateFrame("Button","AardvarkSellCharacterScrollParent",AardvarkSellPanel,"TooltipBorderedFrameTemplate")
AardvarkSellCharacterScrollParent:SetBackdrop({bgFile=nil,insets=nil,tileSize=nil,tile=false,edgeFile="Interface\\Tooltips\\UI-Tooltip-Border",edgeSize=AVKSize.backdropEdgeSize})
AardvarkSellCharacterScrollParent:SetBackdropBorderColor(0,1,0,1)
AardvarkSellCharacterScrollParent:SetSize(AVKSize.scrollFrameWidth,AVKSize.scrollFrameHeight)
AardvarkSellCharacterScrollParent:SetPoint("TOP",AardvarkSellLocalTitle,"BOTTOM",0,-8)
AardvarkSellCharacterScrollParent:SetScript("OnReceiveDrag",function()
	addItemToCharacterList()
end)
AardvarkSellCharacterScrollParent:SetScript("OnClick",function()
	if GetCursorInfo() then
		addItemToCharacterList()
	end
end)

local AardvarkSellCharacterScrollFrame=CreateFrame("ScrollFrame","AardvarkSellCharacterScrollFrame",AardvarkSellCharacterScrollParent,"FauxScrollFrameTemplate")
AardvarkSellCharacterScrollFrame:SetPoint("TOPLEFT",0,-8)
AardvarkSellCharacterScrollFrame:SetPoint("BOTTOMRIGHT",-30,8)
AardvarkSellCharacterScrollFrame:SetScript("OnVerticalScroll",function(self,offset)
	FauxScrollFrame_OnVerticalScroll(self,offset,16,avkUpdateLists)
end)

AardvarkSellCharacterScrollFrame.buttons={}
for i=1,AVKSize.scrollButtonNumber do
	AardvarkSellCharacterScrollFrame.buttons[i]=CreateFrame("Button","sclb"..i,AardvarkSellCharacterScrollParent)
	local button = AardvarkSellCharacterScrollFrame.buttons[i]
	button:SetSize(AVKSize.scrollButtonWidth,AVKSize.scrollButtonHeight)
	button:SetNormalFontObject("GameFontHighlightLeft")
	button:SetPoint("TOPLEFT",8,-(i-1)*AVKSize.scrollButtonHeight-8)
	button:SetHighlightTexture("Interface\\BUTTONS\\UI-Listbox-Highlight2")
	button:SetScript("OnEnter",function(self)
		local itemName,itemLink,_,_,_,_,_,_,_,_,_=GetItemInfo(CharacterSellList[self.index])
		GameTooltip:SetOwner(self,"ANCHOR_RIGHT",AVKSize.toolTipAnchor,AVKSize.toolTipAnchor*.4)
		GameTooltip:SetHyperlink(itemLink)
		if GetCursorInfo() or GlobalOptions.Sell.slit==false then
			GameTooltip:Hide()
		end
		button:SetScript("OnClick",function(self)	
			if GetCursorInfo() then
				addItemToCharacterList()
				else
				if GlobalOptions.Sell.slit==true then
					GameTooltip:SetHyperlink(itemLink)
				end
				table.remove(CharacterSellList,self.index)
				GameTooltip:Hide()
				avkUpdateLists()
			end
		end)	
		button:SetScript("OnReceiveDrag",function()
			GameTooltip:Hide()
			addItemToCharacterList()
		end)		
	end)
	button:SetScript("OnLeave",function(self)		
		GameTooltip:Hide()
	end)
end

local AardvarkSellCharacterClearListButton=CreateFrame("Button","AardvarkSellCharacterClearListButton",AardvarkSellPanel,"UIMenuButtonStretchTemplate")
AardvarkSellCharacterClearListButton:SetSize(AVKSize.scrollFrameWidth,AVKSize.clearButtonHight)
AardvarkSellCharacterClearListButton:SetPoint("TOP",AardvarkSellCharacterScrollParent,"BOTTOM",0,-5)
AardvarkSellCharacterClearListButton:SetBackdrop({bgFile=nil,insets=nil,tileSize=nil,tile=true,edgeFile="Interface\\Tooltips\\UI-Tooltip-Border",edgeSize=AVKSize.backdropEdgeSize})
AardvarkSellCharacterClearListButton:SetBackdropBorderColor(0,1,0,1)
AardvarkSellCharacterClearListButton:SetNormalFontObject(avkButtonFont)
AardvarkSellCharacterClearListButton:SetHighlightFontObject(avkButtonFont)
AardvarkSellCharacterClearListButton:SetFormattedText("Clear "..playerName.."'s Sell List")
AardvarkSellCharacterClearListButton:RegisterForClicks("RightButtonUp")
AardvarkSellCharacterClearListButton:SetScript("OnClick",function()
	CharacterSellList={}
	avkUpdateLists()
end)

--===================			AardvarkDestroyOptionsPanel			============================
local AardvarkDestroyOptionsPanel = CreateFrame("Frame","AardvarkDestroyOptionsPanel",AardvarkMainFrame,"TooltipBorderedFrameTemplate")
AardvarkDestroyOptionsPanel:SetBackdrop({bgFile=nil,insets=nil,tileSize=nil,tile=false,edgeFile="Interface\\Tooltips\\UI-Tooltip-Border",edgeSize=AVKSize.backdropEdgeSize})
AardvarkDestroyOptionsPanel:SetBackdropBorderColor(1,0,0,1)
AardvarkDestroyOptionsPanel:SetSize(AVKSize.mainPanelWidth,AVKSize.mainPanelHeight)
AardvarkDestroyOptionsPanel:SetPoint("BOTTOM",0,AVKSize.mainFrameMarginGap)
AardvarkDestroyOptionsPanel:Hide()

local CBded=CreateFrame("CheckButton","CBded",AardvarkDestroyOptionsPanel,"UICheckButtonTemplate")
CBded:ClearAllPoints()
CBded:SetPoint("TOPLEFT",AVKSize.mainPanelElementGap,-AVKSize.mainPanelElementGap)
CBded:SetSize(AVKSize.checkBoxBigSize,AVKSize.checkBoxBigSize)
CBded.text:SetText(AVKFont.avkRedText.." Aardvark Destroy")
CBded.text:SetFontObject(avkCheckBoxBigFont)
CBded:SetScript("OnClick",function()
	if GlobalOptions.Destroy.ded==true then
		GlobalOptions.Destroy.ded=false
		CBdead:Hide()
		CBdddm:Hide()
		CBdntdm:Hide()
		CBdialsm:Hide()
		CBdialfm:Hide()
		CBdlit:Hide()
		else
		GlobalOptions.Destroy.ded=true
		CBdead:Show()
		CBdddm:Show()
		CBdntdm:Show()
		CBdialsm:Show()
		CBdialfm:Show()
		CBdlit:Show()
	end
end)

local CBdead=CreateFrame("CheckButton","CBdead",AardvarkDestroyOptionsPanel,"UICheckButtonTemplate")
CBdead:ClearAllPoints()
CBdead:SetPoint("TOPLEFT",CBded,AVKSize.checkBoxChildGapX,-AVKSize.checkboxGapY*1.2)
CBdead:SetSize(AVKSize.checkBoxBigSize,AVKSize.checkBoxBigSize)
CBdead.text:SetText(" Auto Destroy")
CBdead.text:SetFontObject(avkContentFont)
CBdead:SetScript("OnClick",function()
	if GlobalOptions.Destroy.dead==true then
		GlobalOptions.Destroy.dead=false
		else
		GlobalOptions.Destroy.dead=true
	end
end)

local CBdddm=CreateFrame("CheckButton","CBdddm",AardvarkDestroyOptionsPanel,"UICheckButtonTemplate")
CBdddm:ClearAllPoints()
CBdddm:SetPoint("TOPLEFT",CBdead,0,-AVKSize.checkboxGapY)
CBdddm:SetSize(AVKSize.checkBoxBigSize,AVKSize.checkBoxBigSize)
CBdddm.text:SetText(" Detailed Destroy Messages")
CBdddm.text:SetFontObject(avkContentFont)
CBdddm:SetScript("OnClick",function()
	if GlobalOptions.Destroy.dddm==true then
		GlobalOptions.Destroy.dddm=false
		else
		GlobalOptions.Destroy.dddm=true
	end
end)

local CBdntdm=CreateFrame("CheckButton","CBdntdm",AardvarkDestroyOptionsPanel,"UICheckButtonTemplate")
CBdntdm:ClearAllPoints()
CBdntdm:SetPoint("TOPLEFT",CBdddm,0,-AVKSize.checkboxGapY)
CBdntdm:SetSize(AVKSize.checkBoxBigSize,AVKSize.checkBoxBigSize)
CBdntdm.text:SetText(" Nothing To Destroy Messages")
CBdntdm.text:SetFontObject(avkContentFont)
CBdntdm:SetScript("OnClick",function()
	if GlobalOptions.Destroy.dntdm==true then
		GlobalOptions.Destroy.dntdm=false
		else
		GlobalOptions.Destroy.dntdm=true
	end
end)

local CBdialsm=CreateFrame("CheckButton","CBdialsm",AardvarkDestroyOptionsPanel,"UICheckButtonTemplate")
CBdialsm:ClearAllPoints()
CBdialsm:SetPoint("TOPLEFT",CBdntdm,0,-AVKSize.checkboxGapY)
CBdialsm:SetSize(AVKSize.checkBoxBigSize,AVKSize.checkBoxBigSize)
CBdialsm.text:SetText(" Item Added Messages")
CBdialsm.text:SetFontObject(avkContentFont)
CBdialsm:SetScript("OnClick",function()
	if GlobalOptions.Destroy.dialsm==true then
		GlobalOptions.Destroy.dialsm=false
		else
		GlobalOptions.Destroy.dialsm=true
	end
end)

local CBdialfm=CreateFrame("CheckButton","CBdialfm",AardvarkDestroyOptionsPanel,"UICheckButtonTemplate")
CBdialfm:ClearAllPoints()
CBdialfm:SetPoint("TOPLEFT",CBdialsm,0,-AVKSize.checkboxGapY)
CBdialfm:SetSize(AVKSize.checkBoxBigSize,AVKSize.checkBoxBigSize)
CBdialfm.text:SetText(" Item Not Added Messages")
CBdialfm.text:SetFontObject(avkContentFont)
CBdialfm:SetScript("OnClick",function()
	if GlobalOptions.Destroy.dialfm==true then
		GlobalOptions.Destroy.dialfm=false
		else
		GlobalOptions.Destroy.dialfm=true
	end
end)

local CBdlit=CreateFrame("CheckButton","CBdlit",AardvarkDestroyOptionsPanel,"UICheckButtonTemplate")
CBdlit:ClearAllPoints()
CBdlit:SetPoint("TOPLEFT",CBdialfm,0,-AVKSize.checkboxGapY)
CBdlit:SetSize(AVKSize.checkBoxBigSize,AVKSize.checkBoxBigSize)
CBdlit.text:SetText(" Show Listed Item Tooltips")
CBdlit.text:SetFontObject(avkContentFont)
CBdlit:SetScript("OnClick",function()
	if GlobalOptions.Destroy.dlit==true then
		GlobalOptions.Destroy.dlit=false
		else
		GlobalOptions.Destroy.dlit=true
	end
end)

local AardvarkDestroyOptionsPanelTextBox=CreateFrame("Frame","AardvarkDestroyOptionsPanelTextBox",AardvarkDestroyOptionsPanel)
AardvarkDestroyOptionsPanelTextBox:SetSize(AVKSize.scrollFrameWidth-AVKSize.textBoxWidthShrink,AVKSize.mainPanelHeight-AVKSize.mainPanelElementGap)
AardvarkDestroyOptionsPanelTextBox:SetPoint("TOPRIGHT",-AVKSize.mainPanelElementGap,-AVKSize.mainPanelElementGap)
AardvarkDestroyOptionsPanelText=AardvarkDestroyOptionsPanelTextBox:CreateFontString("AardvarkDestroyOptionsPanelText")
AardvarkDestroyOptionsPanelText:SetJustifyH("CENTER")
AardvarkDestroyOptionsPanelText:SetJustifyV("TOP")
AardvarkDestroyOptionsPanelText:SetAllPoints(AardvarkDestroyOptionsPanelTextBox)
AardvarkDestroyOptionsPanelText:SetFontObject(avkContentFont)
AardvarkDestroyOptionsPanelText:SetText(AVKText.avkDestroyOptions)

--===================			AardvarkDestroyPanel			============================
local AardvarkDestroyPanel=CreateFrame("Frame","AardvarkDestroyPanel",AardvarkMainFrame,"TooltipBorderedFrameTemplate")
AardvarkDestroyPanel:SetBackdrop({bgFile=nil,insets=nil,tileSize=nil,tile=false,edgeFile="Interface\\Tooltips\\UI-Tooltip-Border",edgeSize=AVKSize.backdropEdgeSize})
AardvarkDestroyPanel:SetBackdropBorderColor(1,0,0,1)
AardvarkDestroyPanel:SetSize(AVKSize.mainPanelWidth,AVKSize.mainPanelHeight)
AardvarkDestroyPanel:SetPoint("BOTTOM",0,AVKSize.mainFrameMarginGap)
AardvarkDestroyPanel:Hide()

local AardvarkDestroyOptionsButton=CreateFrame("Button","AardvarkDestroyOptionsButton",AardvarkDestroyPanel)
AardvarkDestroyOptionsButton:SetSize(AVKSize.optionsButtonSize,AVKSize.optionsButtonSize)
AardvarkDestroyOptionsButton:SetPoint("CENTER", AardvarkNavigationSilly,AVKSize.mainFrameNavigationButtonSpace*.5+AVKSize.optionsButtonSize*.5,0)
AardvarkDestroyOptionsButton:SetNormalTexture(AVKImg.avkdoi)
AardvarkDestroyOptionsButton:SetHighlightTexture(AVKImg.avkdoi_alt,"BLEND")
AardvarkDestroyOptionsButton:SetScript("OnClick",showAVKDestroyOptionsPanel)

-- Global Destroy
local AardvarkDestroyGlobalTitle=CreateFrame("Frame","AardvarkDestroyGlobalTitle",AardvarkDestroyPanel)
AardvarkDestroyGlobalTitle:SetSize(AVKSize.scrollFrameWidth,AVKSize.scrollTitleHeight)
AardvarkDestroyGlobalTitle:SetPoint("TOPLEFT",AardvarkDestroyPanel,AVKSize.scrollTitlePointX,AVKSize.scrollTitlePointY)
AardvarkDestroyGlobalTitleText=AardvarkDestroyGlobalTitle:CreateFontString("AardvarkDestroyGlobalTitleText")
AardvarkDestroyGlobalTitleText:SetPoint("CENTER",0,0)
AardvarkDestroyGlobalTitleText:SetJustifyH("CENTER")
AardvarkDestroyGlobalTitleText:SetJustifyV("CENTER")
AardvarkDestroyGlobalTitleText:SetAllPoints(AardvarkDestroyGlobalTitle)
AardvarkDestroyGlobalTitleText:SetFontObject(avkScrollTitleFont)
AardvarkDestroyGlobalTitleText:SetText("Global Destroy List")

local AardvarkDestroyGlobalScrollParent=CreateFrame("Button","AardvarkDestroyGlobalScrollParent",AardvarkDestroyPanel,"TooltipBorderedFrameTemplate")
AardvarkDestroyGlobalScrollParent:SetBackdrop({bgFile=nil,insets=nil,tileSize=nil,tile=false,edgeFile="Interface\\Tooltips\\UI-Tooltip-Border",edgeSize=AVKSize.backdropEdgeSize})
AardvarkDestroyGlobalScrollParent:SetBackdropBorderColor(1,0,0,1)
AardvarkDestroyGlobalScrollParent:SetSize(AVKSize.scrollFrameWidth,AVKSize.scrollFrameHeight)
AardvarkDestroyGlobalScrollParent:SetPoint("TOP",AardvarkDestroyGlobalTitle,"BOTTOM",0,-8)
AardvarkDestroyGlobalScrollParent:SetScript("OnReceiveDrag",function()
	addItemToGlobalList()
end)
AardvarkDestroyGlobalScrollParent:SetScript("OnClick",function()
	if GetCursorInfo() then
		addItemToGlobalList()
	end
end)

local AardvarkDestroyGlobalScrollFrame=CreateFrame("ScrollFrame","AardvarkDestroyGlobalScrollFrame",AardvarkDestroyGlobalScrollParent,"FauxScrollFrameTemplate")
AardvarkDestroyGlobalScrollFrame:SetPoint("TOPLEFT",0,-8)
AardvarkDestroyGlobalScrollFrame:SetPoint("BOTTOMRIGHT",-30,8)
AardvarkDestroyGlobalScrollFrame:SetScript("OnVerticalScroll",function(self,offset)
	FauxScrollFrame_OnVerticalScroll(self,offset,16,avkUpdateLists)
end)

AardvarkDestroyGlobalScrollFrame.buttons={}
for i=1,AVKSize.scrollButtonNumber do
	AardvarkDestroyGlobalScrollFrame.buttons[i]=CreateFrame("Button","dglb"..i,AardvarkDestroyGlobalScrollParent)
	local button = AardvarkDestroyGlobalScrollFrame.buttons[i]
	button:SetSize(AVKSize.scrollButtonWidth,AVKSize.scrollButtonHeight)
	button:SetNormalFontObject("GameFontHighlightLeft")
	button:SetPoint("TOPLEFT",8,-(i-1)*AVKSize.scrollButtonHeight-8)
	button:SetHighlightTexture("Interface\\BUTTONS\\UI-Listbox-Highlight2")
	button:SetScript("OnEnter",function(self)
		local itemName,itemLink,_,_,_,_,_,_,_,_,_=GetItemInfo(GlobalDestroyList[self.index])
		GameTooltip:SetOwner(self,"ANCHOR_LEFT",AVKSize.toolTipAnchor,AVKSize.toolTipAnchor*.4)
		GameTooltip:SetHyperlink(itemLink)
		if GetCursorInfo() or GlobalOptions.Destroy.dlit==false then
			GameTooltip:Hide()
		end
		button:SetScript("OnClick",function(self)	
			if GetCursorInfo() then
				addItemToGlobalList()
				else
				if GlobalOptions.Destroy.dlit==true then
					GameTooltip:SetHyperlink(itemLink)
				end
				table.remove(GlobalDestroyList,self.index)
				GameTooltip:Hide()
				avkUpdateLists()
			end
		end)	
		button:SetScript("OnReceiveDrag",function()
			GameTooltip:Hide()
			addItemToGlobalList()
		end)
	end)
	button:SetScript("OnLeave",function(self)		
		GameTooltip:Hide()
	end)
end

local AardvarkDestroyGlobalClearListButton=CreateFrame("Button","AardvarkDestroyGlobalClearListButton",AardvarkDestroyPanel,"UIMenuButtonStretchTemplate")
AardvarkDestroyGlobalClearListButton:SetSize(AVKSize.scrollFrameWidth,AVKSize.clearButtonHight)
AardvarkDestroyGlobalClearListButton:SetPoint("TOP",AardvarkDestroyGlobalScrollParent,"BOTTOM",0,-5)
AardvarkDestroyGlobalClearListButton:SetBackdrop({bgFile=nil,insets=nil,tileSize=nil,tile=false,edgeFile="Interface\\Tooltips\\UI-Tooltip-Border",edgeSize=AVKSize.backdropEdgeSize})
AardvarkDestroyGlobalClearListButton:SetBackdropBorderColor(1,0,0,1)
AardvarkDestroyGlobalClearListButton:SetNormalFontObject(avkButtonFont)
AardvarkDestroyGlobalClearListButton:SetHighlightFontObject(avkButtonFont)
AardvarkDestroyGlobalClearListButton:SetFormattedText("Clear Global Destroy List")
AardvarkDestroyGlobalClearListButton:RegisterForClicks("RightButtonUp")
AardvarkDestroyGlobalClearListButton:SetScript("OnClick",function()
	GlobalDestroyList={}
	avkUpdateLists()
end)

-- Character Destroy
local AardvarkDestroyCharacterTitle=CreateFrame("Frame","AardvarkDestroyCharacterTitle",AardvarkDestroyPanel)
AardvarkDestroyCharacterTitle:SetSize(AVKSize.scrollFrameWidth,AVKSize.scrollTitleHeight)
AardvarkDestroyCharacterTitle:SetPoint("TOPRIGHT",AardvarkDestroyPanel,-AVKSize.scrollTitlePointX,AVKSize.scrollTitlePointY)
AardvarkDestroyCharacterTitleText=AardvarkDestroyCharacterTitle:CreateFontString("AardvarkDestroyCharacterTitleText")
AardvarkDestroyCharacterTitleText:SetPoint("CENTER",0,0)
AardvarkDestroyCharacterTitleText:SetJustifyH("CENTER")
AardvarkDestroyCharacterTitleText:SetJustifyV("CENTER")
AardvarkDestroyCharacterTitleText:SetAllPoints(AardvarkDestroyCharacterTitle)
AardvarkDestroyCharacterTitleText:SetFontObject(avkScrollTitleFont)
AardvarkDestroyCharacterTitleText:SetText(playerName.."'s\nDestroy List")

local AardvarkDestroyCharacterScrollParent=CreateFrame("Button","AardvarkDestroyCharacterScrollParent",AardvarkDestroyPanel,"TooltipBorderedFrameTemplate")
AardvarkDestroyCharacterScrollParent:SetBackdrop({bgFile=nil,insets=nil,tileSize=nil,tile=false,edgeFile="Interface\\Tooltips\\UI-Tooltip-Border",edgeSize=AVKSize.backdropEdgeSize})
AardvarkDestroyCharacterScrollParent:SetBackdropBorderColor(1,0,0,1)
AardvarkDestroyCharacterScrollParent:SetSize(AVKSize.scrollFrameWidth,AVKSize.scrollFrameHeight)
AardvarkDestroyCharacterScrollParent:SetPoint("TOP",AardvarkDestroyCharacterTitle,"BOTTOM",0,-8)
AardvarkDestroyCharacterScrollParent:SetScript("OnReceiveDrag",function()
	addItemToCharacterList()
end)
AardvarkDestroyCharacterScrollParent:SetScript("OnClick",function()
	if GetCursorInfo() then
		addItemToCharacterList()
	end
end)

local AardvarkDestroyCharacterScrollFrame=CreateFrame("ScrollFrame","AardvarkDestroyCharacterScrollFrame",AardvarkDestroyCharacterScrollParent,"FauxScrollFrameTemplate")
AardvarkDestroyCharacterScrollFrame:SetPoint("TOPLEFT",0,-8)
AardvarkDestroyCharacterScrollFrame:SetPoint("BOTTOMRIGHT",-30,8)
AardvarkDestroyCharacterScrollFrame:SetScript("OnVerticalScroll",function(self,offset)
	FauxScrollFrame_OnVerticalScroll(self,offset,16,avkUpdateLists)
end)

AardvarkDestroyCharacterScrollFrame.buttons={}
for i=1,AVKSize.scrollButtonNumber do
	AardvarkDestroyCharacterScrollFrame.buttons[i]=CreateFrame("Button","dclb"..i,AardvarkDestroyCharacterScrollParent)
	local button = AardvarkDestroyCharacterScrollFrame.buttons[i]
	button:SetSize(AVKSize.scrollButtonWidth,AVKSize.scrollButtonHeight)
	button:SetNormalFontObject("GameFontHighlightLeft")
	button:SetPoint("TOPLEFT",8,-(i-1)*AVKSize.scrollButtonHeight-8)
	button:SetHighlightTexture("Interface\\BUTTONS\\UI-Listbox-Highlight2")
	button:SetScript("OnEnter",function(self)
		local itemName,itemLink,_,_,_,_,_,_,_,_,_ = GetItemInfo(CharacterDestroyList[self.index])
		GameTooltip:SetOwner(self,"ANCHOR_RIGHT",AVKSize.toolTipAnchor,AVKSize.toolTipAnchor*.4)
		GameTooltip:SetHyperlink(itemLink)
		if GetCursorInfo() or GlobalOptions.Destroy.dlit==false then
			GameTooltip:Hide()
		end
		button:SetScript("OnClick",function(self)	
			if GetCursorInfo() then
				addItemToGlobalList()
				else
				if GlobalOptions.Destroy.dlit==true then
					GameTooltip:SetHyperlink(itemLink)
				end
				table.remove(CharacterDestroyList,self.index)
				GameTooltip:Hide()
				avkUpdateLists()
			end
		end)	
		button:SetScript("OnReceiveDrag",function()
			GameTooltip:Hide()
			addItemToGlobalList()
		end)
	end)
	button:SetScript("OnLeave",function(self)		
		GameTooltip:Hide()
	end)
end

local AardvarkDestroyCharacterClearListButton=CreateFrame("Button","AardvarkDestroyCharacterClearListButton",AardvarkDestroyPanel,"UIMenuButtonStretchTemplate")
AardvarkDestroyCharacterClearListButton:SetSize(AVKSize.scrollFrameWidth,AVKSize.clearButtonHight)
AardvarkDestroyCharacterClearListButton:SetPoint("TOP",AardvarkDestroyCharacterScrollParent,"BOTTOM",0,-5)
AardvarkDestroyCharacterClearListButton:SetBackdrop({bgFile=nil,insets=nil,tileSize=nil,tile=true,edgeFile="Interface\\Tooltips\\UI-Tooltip-Border",edgeSize=AVKSize.backdropEdgeSize})
AardvarkDestroyCharacterClearListButton:SetBackdropBorderColor(1,0,0,1)
AardvarkDestroyCharacterClearListButton:SetNormalFontObject(avkButtonFont)
AardvarkDestroyCharacterClearListButton:SetHighlightFontObject(avkButtonFont)
AardvarkDestroyCharacterClearListButton:SetFormattedText("Clear "..playerName.."'s Destroy List")
AardvarkDestroyCharacterClearListButton:RegisterForClicks("RightButtonUp")
AardvarkDestroyCharacterClearListButton:SetScript("OnClick",function()
	CharacterDestroyList={}
	avkUpdateLists()
end)

--===================			AardvarkProtectOptionsPanel			============================
local AardvarkProtectOptionsPanel = CreateFrame("Frame","AardvarkProtectOptionsPanel",AardvarkMainFrame,"TooltipBorderedFrameTemplate")
AardvarkProtectOptionsPanel:SetBackdrop({bgFile=nil,insets=nil,tileSize=nil,tile=false,edgeFile="Interface\\Tooltips\\UI-Tooltip-Border",edgeSize=AVKSize.backdropEdgeSize})
AardvarkProtectOptionsPanel:SetBackdropBorderColor(1,.5,0,1)
AardvarkProtectOptionsPanel:SetSize(AVKSize.mainPanelWidth,AVKSize.mainPanelHeight)
AardvarkProtectOptionsPanel:SetPoint("BOTTOM",0,AVKSize.mainFrameMarginGap)
AardvarkProtectOptionsPanel:Hide()

local CBpep=CreateFrame("CheckButton","CBpep",AardvarkProtectOptionsPanel,"UICheckButtonTemplate")
CBpep:ClearAllPoints()
CBpep:SetPoint("TOPLEFT",AVKSize.mainPanelElementGap,-AVKSize.mainPanelElementGap)
CBpep:SetSize(AVKSize.checkBoxBigSize,AVKSize.checkBoxBigSize)
CBpep.text:SetText(AVKFont.avkOrangeText.." Aardvark Protect")
CBpep.text:SetFontObject(avkCheckBoxBigFont)
CBpep:SetChecked(true)
CBpep:EnableMouse(false)

local CBpialsm=CreateFrame("CheckButton","CBpialsm",AardvarkProtectOptionsPanel,"UICheckButtonTemplate")
CBpialsm:ClearAllPoints()
CBpialsm:SetPoint("TOPLEFT",CBpep,AVKSize.checkBoxChildGapX*1.5,-AVKSize.checkboxGapY*1.2)
CBpialsm:SetSize(AVKSize.checkBoxBigSize,AVKSize.checkBoxBigSize)
CBpialsm.text:SetText(" Item Added Messages")
CBpialsm.text:SetFontObject(avkContentFont)
CBpialsm:SetScript("OnClick",function()
	if GlobalOptions.Protect.pialsm==true then
		GlobalOptions.Protect.pialsm=false
		else
		GlobalOptions.Protect.pialsm=true
	end
end)

local CBpdpm=CreateFrame("CheckButton","CBpdpm",AardvarkProtectOptionsPanel,"UICheckButtonTemplate")
CBpdpm:ClearAllPoints()
CBpdpm:SetPoint("TOPLEFT",CBpialsm,0,-AVKSize.checkboxGapY)
CBpdpm:SetSize(AVKSize.checkBoxBigSize,AVKSize.checkBoxBigSize)
CBpdpm.text:SetText(" Protected Item Messages")
CBpdpm.text:SetFontObject(avkContentFont)
CBpdpm:SetScript("OnClick",function()
	if GlobalOptions.Protect.pdpm==true then
		GlobalOptions.Protect.pdpm=false
		else
		GlobalOptions.Protect.pdpm=true
	end
end)

local CBplit=CreateFrame("CheckButton","CBplit",AardvarkProtectOptionsPanel,"UICheckButtonTemplate")
CBplit:ClearAllPoints()
CBplit:SetPoint("TOPLEFT",CBpdpm,0,-AVKSize.checkboxGapY)
CBplit:SetSize(AVKSize.checkBoxBigSize,AVKSize.checkBoxBigSize)
CBplit.text:SetText(" Show Listed Item Tooltips")
CBplit.text:SetFontObject(avkContentFont)
CBplit:SetScript("OnClick",function()
	if GlobalOptions.Protect.plit==true then
		GlobalOptions.Protect.plit=false
		else
		GlobalOptions.Protect.plit=true
	end
end)

local AardvarkProtectOptionsPanelTextBox = CreateFrame("Frame","AardvarkProtectOptionsPanelTextBox",AardvarkProtectOptionsPanel)
AardvarkProtectOptionsPanelTextBox:SetSize(AVKSize.scrollFrameWidth-AVKSize.textBoxWidthShrink,AVKSize.mainPanelHeight-AVKSize.mainPanelElementGap)
AardvarkProtectOptionsPanelTextBox:SetPoint("TOPRIGHT",-AVKSize.mainPanelElementGap,-AVKSize.mainPanelElementGap)
AardvarkProtectOptionsPanelText=AardvarkProtectOptionsPanelTextBox:CreateFontString("AardvarkProtectOptionsPanelText")
AardvarkProtectOptionsPanelText:SetJustifyH("CENTER")
AardvarkProtectOptionsPanelText:SetJustifyV("TOP")
AardvarkProtectOptionsPanelText:SetAllPoints(AardvarkProtectOptionsPanelTextBox)
AardvarkProtectOptionsPanelText:SetFontObject(avkContentFont)
AardvarkProtectOptionsPanelText:SetText(AVKText.avkProtectOptions)


--===================			 AardvarkProtectPanel			============================
local AardvarkProtectPanel = CreateFrame("Frame","AardvarkProtectPanel",AardvarkMainFrame,"TooltipBorderedFrameTemplate")
AardvarkProtectPanel:SetBackdrop({bgFile=nil,insets=nil,tileSize=nil,tile=false,edgeFile="Interface\\Tooltips\\UI-Tooltip-Border",edgeSize=AVKSize.backdropEdgeSize})
AardvarkProtectPanel:SetBackdropBorderColor(1,.5,0,1)
AardvarkProtectPanel:SetSize(AVKSize.mainPanelWidth,AVKSize.mainPanelHeight)
AardvarkProtectPanel:SetPoint("BOTTOM",0,AVKSize.mainFrameMarginGap)
AardvarkProtectPanel:Hide()

local AardvarkProtectOptionsButton=CreateFrame("Button","AardvarkProtectOptionsButton",AardvarkProtectPanel)
AardvarkProtectOptionsButton:SetSize(AVKSize.optionsButtonSize,AVKSize.optionsButtonSize)
AardvarkProtectOptionsButton:SetPoint("CENTER", AardvarkNavigationSilly,AVKSize.mainFrameNavigationButtonSpace*.5+AVKSize.optionsButtonSize*.5,0)
AardvarkProtectOptionsButton:SetNormalTexture(AVKImg.avkpoi)
AardvarkProtectOptionsButton:SetHighlightTexture(AVKImg.avkpoi_alt,"BLEND")
AardvarkProtectOptionsButton:SetScript("OnClick",showAVKProtectOptionsPanel)

-- Global Protect 
local AardvarkProtectGlobalTitle=CreateFrame("Frame","AardvarkProtectGlobalTitle",AardvarkProtectPanel)
AardvarkProtectGlobalTitle:SetSize(AVKSize.scrollFrameWidth,AVKSize.scrollTitleHeight)
AardvarkProtectGlobalTitle:SetPoint("TOPLEFT",AardvarkProtectPanel,AVKSize.scrollTitlePointX,AVKSize.scrollTitlePointY)
AardvarkProtectPanelTitleText=AardvarkProtectGlobalTitle:CreateFontString("AardvarkProtectPanelTitleText")
AardvarkProtectPanelTitleText:SetPoint("CENTER",0,0)
AardvarkProtectPanelTitleText:SetJustifyH("CENTER")
AardvarkProtectPanelTitleText:SetJustifyV("CENTER")
AardvarkProtectPanelTitleText:SetAllPoints(AardvarkProtectGlobalTitle)
AardvarkProtectPanelTitleText:SetFontObject(avkScrollTitleFont)
AardvarkProtectPanelTitleText:SetText("Global Protect List")

local AardvarkProtectGlobalScrollParent=CreateFrame("Button","AardvarkProtectGlobalScrollParent",AardvarkProtectPanel,"TooltipBorderedFrameTemplate")
AardvarkProtectGlobalScrollParent:SetBackdrop({bgFile=nil,insets=nil,tileSize=nil,tile=false,edgeFile="Interface\\Tooltips\\UI-Tooltip-Border",edgeSize=AVKSize.backdropEdgeSize})
AardvarkProtectGlobalScrollParent:SetBackdropBorderColor(1,.5,0,1)
AardvarkProtectGlobalScrollParent:SetSize(AVKSize.scrollFrameWidth,AVKSize.scrollFrameHeight)
AardvarkProtectGlobalScrollParent:SetPoint("TOP",AardvarkProtectGlobalTitle,"BOTTOM",0,-8)
AardvarkProtectGlobalScrollParent:SetScript("OnReceiveDrag",function()
	addItemToGlobalProtectList()
end)
AardvarkProtectGlobalScrollParent:SetScript("OnClick",function()
	if GetCursorInfo() then
		addItemToGlobalProtectList()
	end
end)

local AardvarkProtectGlobalScrollFrame=CreateFrame("ScrollFrame","AardvarkProtectGlobalScrollFrame",AardvarkProtectGlobalScrollParent,"FauxScrollFrameTemplate")
AardvarkProtectGlobalScrollFrame:SetPoint("TOPLEFT",0,-8)
AardvarkProtectGlobalScrollFrame:SetPoint("BOTTOMRIGHT",-30,8)
AardvarkProtectGlobalScrollFrame:SetScript("OnVerticalScroll",function(self,offset)
	FauxScrollFrame_OnVerticalScroll(self,offset,16,avkUpdateLists)
end)

AardvarkProtectGlobalScrollFrame.buttons={}
for i=1,AVKSize.scrollButtonNumber do
	AardvarkProtectGlobalScrollFrame.buttons[i]=CreateFrame("Button","pglb"..i,AardvarkProtectGlobalScrollParent)
	local button = AardvarkProtectGlobalScrollFrame.buttons[i]
	button:SetSize(AVKSize.scrollButtonWidth,AVKSize.scrollButtonHeight)
	button:SetNormalFontObject("GameFontHighlightLeft")
	button:SetPoint("TOPLEFT",8,-(i-1)*AVKSize.scrollButtonHeight-8)
	button:SetHighlightTexture("Interface\\BUTTONS\\UI-Listbox-Highlight2")
	button:SetScript("OnEnter",function(self)
		local itemName,itemLink,_,_,_,_,_,_,_,_,_=GetItemInfo(GlobalProtectList[self.index])
		GameTooltip:SetOwner(self,"ANCHOR_LEFT",AVKSize.toolTipAnchor,AVKSize.toolTipAnchor*.4)
		GameTooltip:SetHyperlink(itemLink)
		if GetCursorInfo() or GlobalOptions.Protect.plit==false then
			GameTooltip:Hide()
		end
		button:SetScript("OnClick",function(self)	
			if GetCursorInfo() then
				addItemToGlobalProtectList()
				else
				if GlobalOptions.Protect.plit==true then
					GameTooltip:SetHyperlink(itemLink)
				end
				table.remove(GlobalProtectList,self.index)
				GameTooltip:Hide()
				avkUpdateLists()
			end
		end)	
		button:SetScript("OnReceiveDrag",function()
			GameTooltip:Hide()
			addItemToGlobalProtectList()
		end)		
	end)
	button:SetScript("OnLeave",function(self)		
		GameTooltip:Hide()
	end)
end

local AardvarkProtectGlobalClearListButton=CreateFrame("Button","AardvarkProtectGlobalClearListButton",AardvarkProtectPanel,"UIMenuButtonStretchTemplate")
AardvarkProtectGlobalClearListButton:SetSize(AVKSize.scrollFrameWidth,AVKSize.clearButtonHight)
AardvarkProtectGlobalClearListButton:SetPoint("TOP",AardvarkProtectGlobalScrollParent,"BOTTOM",0,-5)
AardvarkProtectGlobalClearListButton:SetBackdrop({bgFile=nil,insets=nil,tileSize=nil,tile=true,edgeFile="Interface\\Tooltips\\UI-Tooltip-Border",edgeSize=AVKSize.backdropEdgeSize})
AardvarkProtectGlobalClearListButton:SetBackdropBorderColor(1,.5,0,1)
AardvarkProtectGlobalClearListButton:SetNormalFontObject(avkButtonFont)
AardvarkProtectGlobalClearListButton:SetHighlightFontObject(avkButtonFont)
AardvarkProtectGlobalClearListButton:SetFormattedText("Clear Global Protect List")
AardvarkProtectGlobalClearListButton:RegisterForClicks("RightButtonUp")
AardvarkProtectGlobalClearListButton:SetScript("OnClick",function()
	GlobalProtectList={}
	avkUpdateLists()
end)

-- Character Protect 
local AardvarkProtectCharacterTitle=CreateFrame("Frame","AardvarkProtectCharacterTitle",AardvarkProtectPanel)
AardvarkProtectCharacterTitle:SetSize(AVKSize.scrollFrameWidth,AVKSize.scrollTitleHeight)
AardvarkProtectCharacterTitle:SetPoint("TOPRIGHT",AardvarkProtectPanel,-AVKSize.scrollTitlePointX,AVKSize.scrollTitlePointY)
AardvarkProtectCharacterTitleText=AardvarkProtectCharacterTitle:CreateFontString("AardvarkProtectCharacterTitleText")
AardvarkProtectCharacterTitleText:SetPoint("CENTER",0,0)
AardvarkProtectCharacterTitleText:SetJustifyH("CENTER")
AardvarkProtectCharacterTitleText:SetJustifyV("CENTER")
AardvarkProtectCharacterTitleText:SetAllPoints(AardvarkProtectCharacterTitle)
AardvarkProtectCharacterTitleText:SetFontObject(avkScrollTitleFont)
AardvarkProtectCharacterTitleText:SetText(playerName.."'s\nProtect List")

local AardvarkProtectCharacterScrollParent=CreateFrame("Button","AardvarkProtectCharacterScrollParent",AardvarkProtectPanel,"TooltipBorderedFrameTemplate")
AardvarkProtectCharacterScrollParent:SetBackdrop({bgFile=nil,insets=nil,tileSize=nil,tile=false,edgeFile="Interface\\Tooltips\\UI-Tooltip-Border",edgeSize=AVKSize.backdropEdgeSize})
AardvarkProtectCharacterScrollParent:SetBackdropBorderColor(1,.5,0,1)
AardvarkProtectCharacterScrollParent:SetSize(AVKSize.scrollFrameWidth,AVKSize.scrollFrameHeight)
AardvarkProtectCharacterScrollParent:SetPoint("TOP",AardvarkProtectCharacterTitle,"BOTTOM",0,-8)
AardvarkProtectCharacterScrollParent:SetScript("OnReceiveDrag",function()
	addItemToCharacterProtectList()
end)
AardvarkProtectCharacterScrollParent:SetScript("OnClick",function()
	if GetCursorInfo() then
		addItemToCharacterProtectList()
	end
end)

local AardvarkProtectCharacterScrollFrame=CreateFrame("ScrollFrame","AardvarkProtectCharacterScrollFrame",AardvarkProtectCharacterScrollParent,"FauxScrollFrameTemplate")
AardvarkProtectCharacterScrollFrame:SetPoint("TOPLEFT",0,-8)
AardvarkProtectCharacterScrollFrame:SetPoint("BOTTOMRIGHT",-30,8)
AardvarkProtectCharacterScrollFrame:SetScript("OnVerticalScroll",function(self,offset)
	FauxScrollFrame_OnVerticalScroll(self,offset,16,avkUpdateLists)
end)

AardvarkProtectCharacterScrollFrame.buttons={}
for i=1,AVKSize.scrollButtonNumber do
	AardvarkProtectCharacterScrollFrame.buttons[i]=CreateFrame("Button","pclb"..i,AardvarkProtectCharacterScrollParent)
	local button = AardvarkProtectCharacterScrollFrame.buttons[i]
	button:SetSize(AVKSize.scrollButtonWidth,AVKSize.scrollButtonHeight)
	button:SetNormalFontObject("GameFontHighlightLeft")
	button:SetPoint("TOPLEFT",8,-(i-1)*AVKSize.scrollButtonHeight-8)
	button:SetHighlightTexture("Interface\\BUTTONS\\UI-Listbox-Highlight2")
	button:SetScript("OnEnter",function(self)
		local itemName,itemLink,_,_,_,_,_,_,_,_,_=GetItemInfo(CharacterProtectList[self.index])
		GameTooltip:SetOwner(self,"ANCHOR_RIGHT",AVKSize.toolTipAnchor,AVKSize.toolTipAnchor*.4)
		GameTooltip:SetHyperlink(itemLink)
		if GetCursorInfo() or GlobalOptions.Protect.plit==false then
			GameTooltip:Hide()
		end
		button:SetScript("OnClick",function(self)	
			if GetCursorInfo() then
				addItemToCharacterProtectList()
				else
				if GlobalOptions.Protect.plit==true then
					GameTooltip:SetHyperlink(itemLink)
				end
				table.remove(CharacterProtectList,self.index)
				GameTooltip:Hide()
				avkUpdateLists()
			end
		end)	
		button:SetScript("OnReceiveDrag",function()
			GameTooltip:Hide()
			addItemToCharacterProtectList()
		end)		
	end)
	button:SetScript("OnLeave",function(self)		
		GameTooltip:Hide()
	end)
end

local AardvarkProtectCharacterClearListButton=CreateFrame("Button","AardvarkProtectCharacterClearListButton",AardvarkProtectPanel,"UIMenuButtonStretchTemplate")
AardvarkProtectCharacterClearListButton:SetSize(AVKSize.scrollFrameWidth,AVKSize.clearButtonHight)
AardvarkProtectCharacterClearListButton:SetPoint("TOP",AardvarkProtectCharacterScrollParent,"BOTTOM",0,-5)
AardvarkProtectCharacterClearListButton:SetBackdrop({bgFile=nil,insets=nil,tileSize=nil,tile=true,edgeFile="Interface\\Tooltips\\UI-Tooltip-Border",edgeSize=AVKSize.backdropEdgeSize})
AardvarkProtectCharacterClearListButton:SetBackdropBorderColor(1,.5,0,1)
AardvarkProtectCharacterClearListButton:SetNormalFontObject(avkButtonFont)
AardvarkProtectCharacterClearListButton:SetHighlightFontObject(avkButtonFont)
AardvarkProtectCharacterClearListButton:SetFormattedText("Clear "..playerName.."'s Protect List")
AardvarkProtectCharacterClearListButton:RegisterForClicks("RightButtonUp")
AardvarkProtectCharacterClearListButton:SetScript("OnClick",function()
	CharacterProtectList={}
	avkUpdateLists()
end)

--===================			 AardvarkRepairOptionsPanel			============================
local AardvarkRepairOptionsPanel = CreateFrame("Frame","AardvarkRepairOptionsPanel",AardvarkMainFrame,"TooltipBorderedFrameTemplate")
AardvarkRepairOptionsPanel:SetBackdrop({bgFile=nil,insets=nil,tileSize=nil,tile=false,edgeFile="Interface\\Tooltips\\UI-Tooltip-Border",edgeSize=AVKSize.backdropEdgeSize})
AardvarkRepairOptionsPanel:SetBackdropBorderColor(1,0,1,1)
AardvarkRepairOptionsPanel:SetSize(AVKSize.mainPanelWidth,AVKSize.mainPanelHeight)
AardvarkRepairOptionsPanel:SetPoint("BOTTOM",0,AVKSize.mainFrameMarginGap)
AardvarkRepairOptionsPanel:Hide()

local CBrer=CreateFrame("CheckButton","CBrer",AardvarkRepairOptionsPanel,"UICheckButtonTemplate")
CBrer:ClearAllPoints()
CBrer:SetPoint("TOPLEFT",AVKSize.mainPanelElementGap,-AVKSize.mainPanelElementGap)
CBrer:SetSize(AVKSize.checkBoxBigSize,AVKSize.checkBoxBigSize)
CBrer.text:SetText(AVKFont.avkPinkText.." Aardvark Repair")
CBrer.text:SetFontObject(avkCheckBoxBigFont)
CBrer:SetScript("OnClick",function()
	if GlobalOptions.Repair.rer==true then
		GlobalOptions.Repair.rer=false
		CBrgr:Hide()
		CBrcarm:Hide()
		CBrntrm:Hide()
		CBrvcrm:Hide()
		else
		GlobalOptions.Repair.rer=true
		CBrgr:Show()
		CBrcarm:Show()
		CBrntrm:Show()
		CBrvcrm:Show()
	end
end)

local CBrgr=CreateFrame("CheckButton","CBrgr",AardvarkRepairOptionsPanel,"UICheckButtonTemplate")
CBrgr:ClearAllPoints()
CBrgr:SetPoint("TOPLEFT",CBrer,AVKSize.checkBoxChildGapX,-AVKSize.checkboxGapY*1.2)
CBrgr:SetSize(AVKSize.checkBoxBigSize,AVKSize.checkBoxBigSize)
CBrgr.text:SetText(" Guild Repair")
CBrgr.text:SetFontObject(avkContentFont)
CBrgr:SetScript("OnClick",function()
	if GlobalOptions.Repair.rgr==true then
		GlobalOptions.Repair.rgr=false
		else
		GlobalOptions.Repair.rgr=true
	end
end)

local CBrcarm=CreateFrame("CheckButton","CBrcarm",AardvarkRepairOptionsPanel,"UICheckButtonTemplate")
CBrcarm:ClearAllPoints()
CBrcarm:SetPoint("TOPLEFT",CBrgr,0,-AVKSize.checkboxGapY)
CBrcarm:SetSize(AVKSize.checkBoxBigSize,AVKSize.checkBoxBigSize)
CBrcarm.text:SetText(" Cannot Afford Repair Messages")
CBrcarm.text:SetFontObject(avkContentFont)
CBrcarm:SetScript("OnClick",function()
	if GlobalOptions.Repair.rcarm==true then
		GlobalOptions.Repair.rcarm=false
		else
		GlobalOptions.Repair.rcarm=true
	end
end)

local CBrntrm=CreateFrame("CheckButton","CBrntrm",AardvarkRepairOptionsPanel,"UICheckButtonTemplate")
CBrntrm:ClearAllPoints()
CBrntrm:SetPoint("TOPLEFT",CBrcarm,0,-AVKSize.checkboxGapY)
CBrntrm:SetSize(AVKSize.checkBoxBigSize,AVKSize.checkBoxBigSize)
CBrntrm.text:SetText(" Nothing To Repair Messages")
CBrntrm.text:SetFontObject(avkContentFont)
CBrntrm:SetScript("OnClick",function()
	if GlobalOptions.Repair.rntrm==true then
		GlobalOptions.Repair.rntrm=false
		else
		GlobalOptions.Repair.rntrm=true
	end
end)

local CBrvcrm=CreateFrame("CheckButton","CBrvcrm",AardvarkRepairOptionsPanel,"UICheckButtonTemplate")
CBrvcrm:ClearAllPoints()
CBrvcrm:SetPoint("TOPLEFT",CBrntrm,0,-AVKSize.checkboxGapY)
CBrvcrm:SetSize(AVKSize.checkBoxBigSize,AVKSize.checkBoxBigSize)
CBrvcrm.text:SetText(" Vendor Cannot Repair Messages")
CBrvcrm.text:SetFontObject(avkContentFont)
CBrvcrm:SetScript("OnClick",function()
	if GlobalOptions.Repair.rvcrm==true then
		GlobalOptions.Repair.rvcrm=false
		else
		GlobalOptions.Repair.rvcrm=true
	end
end)

local AardvarkRepairOptionsPanelTextBox = CreateFrame("Frame","AardvarkRepairOptionsPanelTextBox",AardvarkRepairOptionsPanel)
AardvarkRepairOptionsPanelTextBox:SetSize(AVKSize.scrollFrameWidth-AVKSize.textBoxWidthShrink,AVKSize.mainPanelHeight-AVKSize.mainPanelElementGap)
AardvarkRepairOptionsPanelTextBox:SetPoint("TOPRIGHT",-AVKSize.mainPanelElementGap,-AVKSize.mainPanelElementGap)
AardvarkRepairOptionsPanelText=AardvarkRepairOptionsPanelTextBox:CreateFontString("AardvarkRepairOptionsPanelText")
AardvarkRepairOptionsPanelText:SetJustifyH("CENTER")
AardvarkRepairOptionsPanelText:SetJustifyV("TOP")
AardvarkRepairOptionsPanelText:SetAllPoints(AardvarkRepairOptionsPanelTextBox)
AardvarkRepairOptionsPanelText:SetFontObject(avkContentFont)
AardvarkRepairOptionsPanelText:SetText(AVKText.avkRepairOptions)

--===================			AardvarkSillyPanel			============================
local AardvarkSillyPanel = CreateFrame("Frame","AardvarkSillyPanel",AardvarkMainFrame,"TooltipBorderedFrameTemplate")
AardvarkSillyPanel:SetBackdrop({bgFile=nil,insets=nil,tileSize=nil,tile=false,edgeFile="Interface\\Tooltips\\UI-Tooltip-Border",edgeSize=AVKSize.backdropEdgeSize})
AardvarkSillyPanel:SetBackdropBorderColor(0,1,1,1)
AardvarkSillyPanel:SetSize(AVKSize.mainPanelWidth,AVKSize.mainPanelHeight)
AardvarkSillyPanel:SetPoint("BOTTOM",0,AVKSize.mainFrameMarginGap)
AardvarkSillyPanel:Hide()

local AardvarkSillyPanelTextBox = CreateFrame("Frame","AardvarkSillyPanelTextBox",AardvarkSillyPanel)
AardvarkSillyPanelTextBox:SetSize(AVKSize.mainPanelWidth-AVKSize.mainPanelElementGap,AVKSize.mainPanelHeight-AVKSize.mainPanelElementGap)
AardvarkSillyPanelTextBox:SetPoint("TOP",AardvarkSillyPanel,0,-11)
AardvarkSillyText=AardvarkSillyPanelTextBox:CreateFontString("AardvarkSillyText")
AardvarkSillyText:SetAllPoints(AardvarkSillyPanelTextBox)
AardvarkSillyText:SetFontObject(avkContentFont)
AardvarkSillyText:SetText(AVKText.avkAboutAardvark)

--===================			AardvarkScalePanel			============================
local AardvarkScalePanel=CreateFrame("Frame","AardvarkScalePanel",UIParent,"TooltipBorderedFrameTemplate")
AardvarkScalePanel:SetBackdrop({bgFile=nil,insets=nil,tileSize=nil,tile=false,edgeFile="Interface\\Tooltips\\UI-Tooltip-Border",edgeSize=AVKSize.backdropEdgeSize})
AardvarkScalePanel:SetBackdropBorderColor(0,1,1,1)
AardvarkScalePanel:ClearAllPoints()
AardvarkScalePanel:SetPoint("BOTTOMRIGHT",AardvarkMainFrame,"BOTTOMLEFT",250,0)
AardvarkScalePanel:SetSize(AVKSize.scrollFrameWidth,AVKSize.scrollFrameHeight)
AardvarkScalePanel:EnableMouse(true)
AardvarkScalePanel:SetMovable(true)
AardvarkScalePanel:RegisterForDrag("RightButton","LeftButton")  --  Debug review
AardvarkScalePanel:SetScript("OnDragStart",AardvarkScalePanel.StartMoving)
AardvarkScalePanel:SetScript("OnDragStop",AardvarkScalePanel.StopMovingOrSizing)
AardvarkScalePanel:SetToplevel(true)
AardvarkScalePanel:Hide()

local AardvarkScalePanelCloseButton=CreateFrame("Button","AardvarkScalePanelCloseButton",AardvarkScalePanel)
AardvarkScalePanelCloseButton:SetPoint("TOPRIGHT",AVKSize.closeButtonGap,AVKSize.closeButtonGap)
AardvarkScalePanelCloseButton:SetSize(AVKSize.closeButtonSize,AVKSize.closeButtonSize)
AardvarkScalePanelCloseButton:SetNormalTexture(AVKImg.avkci)
AardvarkScalePanelCloseButton:SetHighlightTexture(AVKImg.avkci,"DISABLE")
AardvarkScalePanelCloseButton:SetScript("OnClick",function(self)
	AardvarkScalePanel:Hide()
end)

local AardvarkMagicButtonScaler = CreateFrame("Slider","AardvarkMagicButtonScaler",AardvarkScalePanel,"OptionsSliderTemplate") 
AardvarkMagicButtonScaler:SetPoint("CENTER",0,0)
AardvarkMagicButtonScaler:SetScale(AVKSize.scaleSliderScale)
AardvarkMagicButtonScaler.textLow = _G["AardvarkMagicButtonScaler".."Low"]
AardvarkMagicButtonScaler.textHigh = _G["AardvarkMagicButtonScaler".."High"]
AardvarkMagicButtonScaler.text = _G["AardvarkMagicButtonScaler".."Text"]
AardvarkMagicButtonScaler:SetMinMaxValues(AVKSize.scaleSliderMin,AVKSize.scaleSliderMax)
AardvarkMagicButtonScaler.minValue, AardvarkMagicButtonScaler.maxValue = AardvarkMagicButtonScaler:GetMinMaxValues() 
AardvarkMagicButtonScaler.textLow:SetText((AVKSize.scaleSliderMin*100)..("%"))
AardvarkMagicButtonScaler.textHigh:SetText((AVKSize.scaleSliderMax*100)..("%"))
AardvarkMagicButtonScalerText:SetFontObject(avkButtonFont)
AardvarkMagicButtonScalerText:SetText(AVKFont.avkBlueText.."Aardvark Button")
AardvarkMagicButtonScaler:SetValue(.5)
AardvarkMagicButtonScaler:SetValueStep(1)
AardvarkMagicButtonScaler:SetScript("OnValueChanged", function(self,event,arg1) 
	GlobalOptions.FrameScales.ambs=tonumber(event)
	AardvarkMagicButton:SetScale(GlobalOptions.FrameScales.ambs)
end)

local AardvarkMainFrameScaler = CreateFrame("Slider","AardvarkMainFrameScaler",AardvarkScalePanel,"OptionsSliderTemplate") 
AardvarkMainFrameScaler:SetPoint("CENTER",AardvarkMagicButtonScaler,0,AVKSize.actionBarButtonGap)
AardvarkMainFrameScaler:SetScale(AVKSize.scaleSliderScale)
AardvarkMainFrameScaler.textLow = _G["AardvarkMainFrameScaler".."Low"]
AardvarkMainFrameScaler.textHigh = _G["AardvarkMainFrameScaler".."High"]
AardvarkMainFrameScaler.text = _G["AardvarkMainFrameScaler".."Text"]
AardvarkMainFrameScaler:SetMinMaxValues(AVKSize.scaleSliderMin,AVKSize.scaleSliderMax)
AardvarkMainFrameScaler.minValue, AardvarkMainFrameScaler.maxValue = AardvarkMainFrameScaler:GetMinMaxValues() 
AardvarkMainFrameScaler.textLow:SetText((AVKSize.scaleSliderMin*100)..("%"))
AardvarkMainFrameScaler.textHigh:SetText((AVKSize.scaleSliderMax*100)..("%"))
AardvarkMainFrameScalerText:SetFontObject(avkButtonFont)
AardvarkMainFrameScalerText:SetText(AVKFont.avkBlueText.."Aardvark Frame")
AardvarkMainFrameScaler:SetValue(.5)
AardvarkMainFrameScaler:SetValueStep(1)
AardvarkMainFrameScaler:SetScript("OnValueChanged", function(self,event,arg1) 
	GlobalOptions.FrameScales.amfs=tonumber(event)
	AardvarkMainFrame:SetScale(GlobalOptions.FrameScales.amfs)
end)

local AardvarkActionBarScaler = CreateFrame("Slider","AardvarkActionBarScaler",AardvarkScalePanel,"OptionsSliderTemplate") 
AardvarkActionBarScaler:SetPoint("CENTER",AardvarkMagicButtonScaler,0,-AVKSize.actionBarButtonGap)
AardvarkActionBarScaler:SetScale(AVKSize.scaleSliderScale)
AardvarkActionBarScaler.textLow = _G["AardvarkActionBarScaler".."Low"]
AardvarkActionBarScaler.textHigh = _G["AardvarkActionBarScaler".."High"]
AardvarkActionBarScaler.text = _G["AardvarkActionBarScaler".."Text"]
AardvarkActionBarScaler:SetMinMaxValues(AVKSize.scaleSliderMin,AVKSize.scaleSliderMax)
AardvarkActionBarScaler.minValue, AardvarkActionBarScaler.maxValue = AardvarkActionBarScaler:GetMinMaxValues() 
AardvarkActionBarScaler.textLow:SetText((AVKSize.scaleSliderMin*100)..("%"))
AardvarkActionBarScaler.textHigh:SetText((AVKSize.scaleSliderMax*100)..("%"))
AardvarkActionBarScalerText:SetFontObject(avkButtonFont)
AardvarkActionBarScalerText:SetText(AVKFont.avkBlueText.."Aardvark Action Bar")
AardvarkActionBarScaler:SetValue(1)
AardvarkActionBarScaler:SetValueStep(1)
AardvarkActionBarScaler:SetScript("OnValueChanged", function(self,event,arg1) 
	GlobalOptions.FrameScales.aabs=tonumber(event)
	AardvarkActionBar:SetScale(GlobalOptions.FrameScales.aabs)
end)

--=====================   AardvarkMagicButton    ======================
AardvarkMagicButton =CreateFrame("Button","AVK_Main_Button",UIParent)
AardvarkMagicButton:SetSize(AVKSize.mainFrameNavigationButtonSize,AVKSize.mainFrameNavigationButtonSize)
AardvarkMagicButton:ClearAllPoints()
AardvarkMagicButton:SetPoint("BOTTOMRIGHT",AardvarkMainFrame,"TOPRIGHT",0,20)
AardvarkMagicButton:SetNormalTexture(AVKImg.avki)
AardvarkMagicButton:SetHighlightTexture(AVKImg.avki_alt,"BLEND")
AardvarkMagicButton:SetMovable(true)
AardvarkMagicButton:SetClampedToScreen(true)
AardvarkMagicButton:RegisterForDrag("RightButton")  --  Debug review
AardvarkMagicButton:SetScript("OnDragStart",AardvarkMagicButton.StartMoving)
AardvarkMagicButton:SetScript("OnDragStop",AardvarkMagicButton.StopMovingOrSizing)
AardvarkMagicButton:SetToplevel(true)
AardvarkMagicButton:SetScript("OnEnter",function(self)
	GameTooltip:SetOwner(self,"ANCHOR_TOP",5,5)
	GameTooltip:AddDoubleLine(addonName,versionNumber,0,1,1,0,1,1)
	GameTooltip:AddLine(AVKText.avkMagicButton)
	if GlobalOptions.Aardvark.amfbt==true then
		GameTooltip:Show()
		else
		GameTooltip:Hide()
	end
	AardvarkMagicButton:SetScript("OnReceiveDrag",function()
		if GetCursorInfo() then
			if IsAltKeyDown() then
				addItemToGlobalList()
				else
				addItemToCharacterList()
			end
		end
	end)	
	AardvarkMagicButton:RegisterForClicks("RightButtonUp","LeftButtonUp")
	AardvarkMagicButton:SetScript("OnClick",function(self,button)
		if button=="RightButton" then
			avkDestroy()
			elseif button=="LeftButton" then
			if GetCursorInfo() then
				if IsControlKeyDown() then
					addItemToGlobalProtectList()			
					elseif IsAltKeyDown() then
					addItemToGlobalList()				
					else
					addItemToCharacterList()
				end
				else
				if AardvarkMainFrame:IsShown()==false then
					avkUpdateLists()
					AardvarkMainFrame:Show()
					else
					AardvarkMainFrame:Hide()
				end
			end
		end
	end)	
end)
AardvarkMagicButton:SetScript("OnLeave",function(self)
	GameTooltip:Hide()
	GameTooltip:SetScale(1)
end)

--=====================  AardvarkActionBar   ======================
AardvarkActionBar =CreateFrame("Frame","AardvarkActionBar",UIParent)
--AardvarkActionBar:SetBackdrop({bgFile=nil,insets=nil,tileSize=nil,tile=false,edgeFile="Interface\\Tooltips\\UI-Tooltip-Border",edgeSize=AVKSize.backdropEdgeSize})  --  Debug review
AardvarkActionBar:SetBackdropBorderColor(0,1,1,1)
AardvarkActionBar:ClearAllPoints()
AardvarkActionBar:SetPoint("TOPLEFT",AardvarkMainFrame,"TOPRIGHT",0,0)
AardvarkActionBar:SetMovable(true)
AardvarkActionBar:SetClampedToScreen(true)
AardvarkActionBar:SetToplevel(true)
AardvarkActionBar:Hide()

AardvarkActionBarAardvarkButton=CreateFrame("Button","AardvarkActionBarAardvarkButton",AardvarkActionBar)
AardvarkActionBarAardvarkButton:SetSize(AVKSize.mainFrameNavigationButtonSize,AVKSize.mainFrameNavigationButtonSize)
AardvarkActionBarAardvarkButton:SetNormalTexture(AVKImg.avki)
AardvarkActionBarAardvarkButton:SetHighlightTexture(AVKImg.avki_alt,"BLEND")
AardvarkActionBarAardvarkButton:SetParent(AardvarkActionBar)
AardvarkActionBarAardvarkButton:EnableMouse(true)
AardvarkActionBarAardvarkButton:SetMovable(true)
AardvarkActionBarAardvarkButton:RegisterForDrag("RightButton")
AardvarkActionBarAardvarkButton:SetScript("OnDragStart",function()
	AardvarkActionBarAardvarkButton:GetParent():StartMoving()
end)
AardvarkActionBarAardvarkButton:SetScript("OnDragStop",function()
	AardvarkActionBarAardvarkButton:GetParent():StopMovingOrSizing()
end)
AardvarkActionBarAardvarkButton:SetScript("OnClick",function()
	print("AardvarkActionBarAardvarkButton")
end)
AardvarkActionBarAardvarkButton:SetScript("OnClick",function()
	if AardvarkMainFrame:IsShown()==false then
		avkUpdateLists()
		AardvarkMainFrame:Show()
		else
		AardvarkMainFrame:Hide()
	end
end)

AardvarkActionBarSellButton=CreateFrame("Button","AardvarkActionBarSellButton",AardvarkActionBar)
AardvarkActionBarSellButton:SetSize(AVKSize.mainFrameNavigationButtonSize,AVKSize.mainFrameNavigationButtonSize)
AardvarkActionBarSellButton:SetNormalTexture(AVKImg.avksi)
AardvarkActionBarSellButton:SetHighlightTexture(AVKImg.avksi_alt,"BLEND")
AardvarkActionBarSellButton:SetDisabledTexture(AVKImg.avks_dis)
AardvarkActionBarSellButton:Disable()
AardvarkActionBarSellButton:SetScript("OnClick",avkSell)

AardvarkActionBarDestroyButton=CreateFrame("Button","AardvarkActionBarDestroyButton",AardvarkActionBar)
AardvarkActionBarDestroyButton:SetSize(AVKSize.mainFrameNavigationButtonSize,AVKSize.mainFrameNavigationButtonSize)
AardvarkActionBarDestroyButton:SetNormalTexture(AVKImg.avkdi)
AardvarkActionBarDestroyButton:SetHighlightTexture(AVKImg.avkdi_alt,"BLEND")
AardvarkActionBarDestroyButton:RegisterForClicks("RightButtonUp")
AardvarkActionBarDestroyButton:SetScript("OnClick",function(self,button)
	if button=="RightButton" then
		avkDestroy()
	end
end)

ActionBarGlobalButton=CreateFrame("Button","ActionBarGlobalButton",AardvarkActionBar)
ActionBarGlobalButton:SetSize(AVKSize.mainFrameNavigationButtonSize,AVKSize.mainFrameNavigationButtonSize)
ActionBarGlobalButton:SetNormalTexture(AVKImg.avkglobi)
ActionBarGlobalButton:SetHighlightTexture(AVKImg.avkglobi_alt,"BLEND")
ActionBarGlobalButton:SetScript("OnReceiveDrag",addItemToGlobalList)
ActionBarGlobalButton:SetScript("OnClick",function(self,button)
	if GetCursorInfo() then
		addItemToGlobalList()
	end
end)

ActionBarCharacterButton=CreateFrame("Button","ActionBarCharacterButton",AardvarkActionBar)
ActionBarCharacterButton:SetSize(AVKSize.mainFrameNavigationButtonSize,AVKSize.mainFrameNavigationButtonSize)
ActionBarCharacterButton:SetNormalTexture(AVKImg.avkchari)
ActionBarCharacterButton:SetHighlightTexture(AVKImg.avkchari_alt,"BLEND")
ActionBarCharacterButton:SetClampedToScreen(true)
ActionBarCharacterButton:SetScript("OnReceiveDrag",addItemToCharacterList)
ActionBarCharacterButton:SetScript("OnClick",function(self,button)
	if GetCursorInfo() then
		addItemToCharacterList()
	end
end)

ActionBarGlobalProtectButton=CreateFrame("Button","ActionBarGlobalProtectButton",AardvarkActionBar)
ActionBarGlobalProtectButton:SetSize(AVKSize.mainFrameNavigationButtonSize,AVKSize.mainFrameNavigationButtonSize)
ActionBarGlobalProtectButton:SetNormalTexture(AVKImg.avkpglobi)
ActionBarGlobalProtectButton:SetHighlightTexture(AVKImg.avkpglobi_alt,"BLEND")
ActionBarGlobalProtectButton:SetClampedToScreen(true)
ActionBarGlobalProtectButton:SetScript("OnReceiveDrag",addItemToGlobalProtectList)
ActionBarGlobalProtectButton:SetScript("OnClick",function(self,button)
	if GetCursorInfo() then
		addItemToGlobalProtectList()
	end
end)

ActionBarCharacterProtectButton=CreateFrame("Button","ActionBarCharacterProtectButton",AardvarkActionBar)
ActionBarCharacterProtectButton:SetSize(AVKSize.mainFrameNavigationButtonSize,AVKSize.mainFrameNavigationButtonSize)
ActionBarCharacterProtectButton:SetNormalTexture(AVKImg.avkpchari)
ActionBarCharacterProtectButton:SetHighlightTexture(AVKImg.avkpchari_alt,"BLEND")
ActionBarCharacterProtectButton:SetClampedToScreen(true)
ActionBarCharacterProtectButton:SetScript("OnReceiveDrag",addItemToGlobalProtectList)
ActionBarCharacterProtectButton:SetScript("OnClick",function(self,button)
	if GetCursorInfo() then
		addItemToCharacterProtectList()
	end
end)					